#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0xe8914195, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x45b39e76, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x07aa7981, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0xbde86ab4, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0xd7b52e17, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0xc7c090c9, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0x377da8fb, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0x45abff23, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x4815cc36, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x06ffa7e8, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0xd561a6a1, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0xb5b23642, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x41b00027, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x0ba8b30a, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x667a9d28, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0xe6d941fc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa5e7f29e, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xd90f4cd7, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0x33667964, "finish_wait" },
	{ 0x66bbcb64, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d78efb1, "seq_lseek" },
	{ 0xecf70bdb, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd170f48c, "__wake_up" },
	{ 0x4ac136a5, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6651ae20, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xb4f0cdf7, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc09a6c6c, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc49284cd, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x39b3de14, "bus_unregister" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0x49d76a51, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa1773a7b, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x233b7711, "__init_waitqueue_head" },
	{ 0x5c648dde, "kthread_create_on_node" },
	{ 0x612783e8, "seq_read" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xfb82e728, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x5906c6d0, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7e9f2876, "debugfs_create_file_full" },
	{ 0xbb708ee5, "seq_puts" },
	{ 0x4da14bf2, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x595e164e, "param_ops_int" },
	{ 0x7be2b13e, "single_open" },
	{ 0x7e97fb6e, "debugfs_create_dir" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0xff11fd13, "cdev_init" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0xfd62301c, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6E16BA39B674A2A31DB9EFC");
MODULE_INFO(rhelversion, "9.7");
