#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x6bad0b2f, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x7ad74f71, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x0492277f, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x23c7ca3a, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x905c0201, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x4a4c3627, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xaffe6230, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x5a27f8d1, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0x91c00e81, "_gpl");
SYMBOL_CRC(can_change_state, 0x1d5c3ce4, "_gpl");
SYMBOL_CRC(can_bus_off, 0xcdc0f61a, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x3572997e, "_gpl");
SYMBOL_CRC(free_candev, 0x2c2104d9, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x7cf4f08b, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x13a91f72, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xaf95d2c7, "");
SYMBOL_CRC(open_candev, 0xec62fb7a, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0xdcd95cdb, "_gpl");
SYMBOL_CRC(close_candev, 0x5d431fcf, "_gpl");
SYMBOL_CRC(register_candev, 0x841ef1aa, "_gpl");
SYMBOL_CRC(unregister_candev, 0xd4b3db76, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x78d0a01e, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x4e02be14, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x90a9eb43, "skb_put" },
	{ 0xf13fd699, "gpiod_set_value" },
	{ 0x3962f526, "skb_tstamp_tx" },
	{ 0x62e83c23, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9ccdd868, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x340ecb08, "unregister_netdev" },
	{ 0x4e214f91, "rtnl_link_register" },
	{ 0x7c8f5542, "netdev_warn" },
	{ 0x29345117, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1edd2b10, "netdev_err" },
	{ 0x775acae3, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6bb24065, "device_property_read_u32_array" },
	{ 0xf9b75618, "of_get_child_by_name" },
	{ 0x69d4faaf, "rtnl_link_unregister" },
	{ 0xf5629d05, "sk_skb_reason_drop" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xa0c404a0, "register_netdev" },
	{ 0x50fbd43f, "free_netdev" },
	{ 0xdcb764ad, "memset" },
	{ 0xee45445f, "sock_efree" },
	{ 0xf9540770, "netif_rx" },
	{ 0x5e9a0816, "__netdev_alloc_skb" },
	{ 0xf2c2ec3a, "skb_trim" },
	{ 0x7d65263e, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb743da51, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xdb9dfbe4, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x2e0d0141, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x95628df1, "dev_err_probe" },
	{ 0xbed03d9c, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x283716d, "skb_clone_tx_timestamp" },
	{ 0x849eef8e, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1A01C30400C623AD7A56E46");
MODULE_INFO(rhelversion, "9.7");
