#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe1f35232, "phy_drivers_register" },
	{ 0xb62b103f, "mdiobus_read" },
	{ 0xe8371b68, "phy_trigger_machine" },
	{ 0x72e1b6f7, "phy_error" },
	{ 0xb6d083c1, "bcm54xx_auxctl_read" },
	{ 0xd59d5ce, "bcm54xx_auxctl_write" },
	{ 0x914129de, "bcm_phy_read_shadow" },
	{ 0x47dab126, "bcm_phy_write_shadow" },
	{ 0x5fb771d7, "phy_modify" },
	{ 0x5aa4c560, "genphy_c37_config_aneg" },
	{ 0xdb630aec, "__genphy_config_aneg" },
	{ 0x1a9914d2, "devm_kmalloc" },
	{ 0xdd4553d0, "bcm_phy_get_wol" },
	{ 0xbfb6569b, "bcm_phy_set_wol" },
	{ 0x245f3996, "bcm_phy_get_stats" },
	{ 0xf0a7d58e, "phy_drivers_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdefba08c, "mdiobus_write" },
	{ 0xed55e748, "bcm_config_lre_aneg" },
	{ 0x2f8f95d8, "of_find_property" },
	{ 0x8be6ee07, "bcm_phy_write_exp" },
	{ 0x1352382b, "bcm_phy_read_exp" },
	{ 0xf055495b, "genphy_c37_read_status" },
	{ 0x745c7052, "genphy_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92ab81ac, "bcm_phy_get_sset_count" },
	{ 0x6e98ce26, "bcm_ptp_probe" },
	{ 0xd9d5b04a, "devm_gpiod_get" },
	{ 0xfca803dc, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0xb3403fcc, "devm_request_threaded_irq" },
	{ 0xb95243de, "device_set_wakeup_capable" },
	{ 0xea0b1529, "device_wakeup_enable" },
	{ 0xe54c4503, "bcm_ptp_stop" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x59bafcc7, "bcm_ptp_config_init" },
	{ 0x79425909, "pm_wakeup_dev_event" },
	{ 0xacdebe83, "genphy_resume" },
	{ 0xe9823eda, "genphy_soft_reset" },
	{ 0x94a68f83, "phy_resolve_aneg_linkmode" },
	{ 0x690f585e, "phy_basic_ports_array" },
	{ 0xa423802f, "genphy_read_abilities" },
	{ 0x38e19c0e, "bcm_phy_config_intr" },
	{ 0x2d633282, "bcm_phy_handle_interrupt" },
	{ 0xb552ade4, "bcm_phy_get_strings" },
	{ 0xdca3a339, "bcm_phy_led_brightness_set" },
	{ 0xb34a9f2e, "genphy_suspend" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib,bcm-phy-ptp");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "396EFF9154C30096E313E3D");
MODULE_INFO(rhelversion, "9.7");
