#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xe1721dbc, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xfcad5366, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5eea7ace, "fasync_helper" },
	{ 0x92b608cc, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x849eef8e, "netdev_info" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9321ee6, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xca2c0622, "from_kgid_munged" },
	{ 0xbcf957d9, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6e08cf31, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7ec0f519, "dev_get_tstats64" },
	{ 0x259c16fe, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0x4e214f91, "rtnl_link_register" },
	{ 0x6ebdc735, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf86859b5, "misc_deregister" },
	{ 0x69d4faaf, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf5629d05, "sk_skb_reason_drop" },
	{ 0x3e41e725, "xdp_return_frame" },
	{ 0x8f07fdb4, "__wake_up_sync_key" },
	{ 0x64d70d07, "kill_fasync" },
	{ 0x2e0d0141, "netif_carrier_on" },
	{ 0xb743da51, "netif_carrier_off" },
	{ 0x26fc89ec, "bpf_prog_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2eaa2fbf, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x283716d, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc13c8499, "skb_copy_ubufs" },
	{ 0xa8acf26a, "netdev_core_stats_inc" },
	{ 0x186ad754, "skb_tx_error" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x3962f526, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x17dae6c3, "___pskb_trim" },
	{ 0x9c9a1c25, "__skb_get_hash_symmetric_net" },
	{ 0x8f3efff8, "build_skb" },
	{ 0x90a9eb43, "skb_put" },
	{ 0xeacd1986, "skb_set_owner_w" },
	{ 0xfb0e858f, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0x233b7711, "__init_waitqueue_head" },
	{ 0xbb479143, "sock_init_data_uid" },
	{ 0x8742cfe8, "sk_free" },
	{ 0xc7624b79, "napi_gro_receive" },
	{ 0x794c57bb, "napi_complete_done" },
	{ 0xf4b3c097, "xdp_do_redirect" },
	{ 0xecc059fb, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x599b8f7, "__traceiter_xdp_exception" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xbb8814c0, "xdp_return_frame_rx_napi" },
	{ 0xed8ea5ca, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xe92b044e, "add_wait_queue" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0x869eff76, "remove_wait_queue" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x1000e51, "schedule" },
	{ 0x1e763064, "skb_queue_purge_reason" },
	{ 0x7371b49b, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8916bfe9, "xdp_rxq_info_unreg" },
	{ 0xb8928915, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x1f35836f, "module_put" },
	{ 0x9ebdab10, "napi_get_frags" },
	{ 0xf75aae82, "iov_iter_single_seg_count" },
	{ 0x55f177b3, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7bd9086b, "netif_set_real_num_tx_queues" },
	{ 0x3af94657, "netif_set_real_num_rx_queues" },
	{ 0x409f474c, "unregister_netdevice_queue" },
	{ 0xfc37599d, "netdev_state_change" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x90686fdf, "__skb_flow_dissect" },
	{ 0x59cc4dc0, "skb_partial_csum_set" },
	{ 0xbb0403be, "__pskb_pull_tail" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x7440046, "xdp_rxq_info_is_reg" },
	{ 0xc79bd188, "__xdp_rxq_info_reg" },
	{ 0xd2579e48, "xdp_rxq_info_reg_mem_model" },
	{ 0xa6070e01, "netif_napi_add_weight" },
	{ 0x29e18b3a, "napi_enable" },
	{ 0x99d4c64b, "lock_sock_nested" },
	{ 0x20bba173, "sk_attach_filter" },
	{ 0xc4a0761c, "release_sock" },
	{ 0x736a00e0, "__dev_get_by_name" },
	{ 0xcfaf6ef7, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x775acae3, "alloc_netdev_mqs" },
	{ 0xb3857df9, "ip_tunnel_header_ops" },
	{ 0x3ea379a6, "register_netdevice" },
	{ 0x49b7c34b, "netif_tx_wake_queue" },
	{ 0xc1860a7a, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x50fbd43f, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc0efbb27, "_copy_to_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe08fe4e1, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xbef69b2, "iov_iter_advance" },
	{ 0x1edd2b10, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x9ccdd868, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xba6a518, "sock_recv_errqueue" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x51684678, "bpf_prog_get_type_dev" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x341b374f, "__page_frag_cache_drain" },
	{ 0x4933d6c0, "eth_type_trans" },
	{ 0xdc5840b8, "xdp_master_redirect" },
	{ 0xc6781f89, "do_xdp_generic" },
	{ 0x8e84c685, "__folio_put" },
	{ 0xdd5937fe, "skb_page_frag_refill" },
	{ 0x87c474ca, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb19b0824, "_copy_from_iter" },
	{ 0x50d25b7c, "iov_iter_npages" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0x5df82fbb, "skb_copy_datagram_from_iter" },
	{ 0x1e0f505c, "sock_alloc_send_pskb" },
	{ 0x28b0938c, "zerocopy_sg_from_iter" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0xd5422504, "skb_push" },
	{ 0xd40e3ca, "eth_get_headlen" },
	{ 0x23c53f8b, "napi_schedule_prep" },
	{ 0x18760cbb, "napi_gro_frags" },
	{ 0x928ca805, "iov_iter_revert" },
	{ 0x27cb982b, "__napi_schedule" },
	{ 0x94851131, "get_net_ns" },
	{ 0x302f4993, "open_related_ns" },
	{ 0x71e337cf, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x538febe, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x55b5a10d, "netdev_update_features" },
	{ 0x23f73845, "dev_set_mac_address_user" },
	{ 0x9a3d36cf, "make_kuid" },
	{ 0x3ffc4339, "init_user_ns" },
	{ 0xf385d509, "from_kuid" },
	{ 0x46ddafa3, "sk_detach_filter" },
	{ 0xbabd7f79, "call_netdevice_notifiers" },
	{ 0xb7094585, "__module_get" },
	{ 0xa099ff4f, "from_kgid" },
	{ 0x85f135ee, "ethtool_op_get_link" },
	{ 0xa51926be, "ethtool_op_get_ts_info" },
	{ 0x328cfe8a, "passthru_features_check" },
	{ 0x252358ca, "eth_mac_addr" },
	{ 0x60a2c5b6, "eth_validate_addr" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4701F56964F102809C59910");
MODULE_INFO(rhelversion, "9.7");
