#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xd3c42001, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xef7827ff, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xbc4b8024, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xdbec5bd2, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x864ec3a9, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xe508c11b, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xa160912e, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x4c839a9f, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x52521819, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xdf767095, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0xe865653c, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xad32ec2f, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x967f10c5, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x6134e741, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x193e4ef7, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x8bfaf59b, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x766a2b0f, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x56a1e805, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xffad6846, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x01c64cc5, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xa5e18672, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x11baedf3, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xbdd1cd97, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x3c2ae4a6, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xe065033e, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x1b5aff99, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x24c370d4, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xe988563b, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x72ab899f, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x5898b793, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xa1af3e64, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xb31db7f4, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x5638fb38, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x374e7b8a, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x3fbaf567, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xecafeee3, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x138a08d6, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x593d145c, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x33acdb84, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xa6187d20, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x4350b901, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0xcf2d0639, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xfdf5671c, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x0295f238, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x19cae011, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xe6cae34a, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x155aad2b, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x4936a598, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x1ab0a7ff, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x85d70753, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x4165c899, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xe225c82b, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xb22ad240, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x9517b339, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x8d9f2bf8, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8e7ec2b6, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x1bf231d1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x671184f2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26d133de, "set_capacity_and_notify" },
	{ 0x842d6935, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8d41285a, "set_disk_ro" },
	{ 0xc6b8430f, "__blk_alloc_disk" },
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0x2a1d2fa2, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xce6373e1, "blk_rq_integrity_map_user" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa495b039, "ida_destroy" },
	{ 0x4df173ff, "device_remove_file_self" },
	{ 0x8ff00108, "param_ops_uint" },
	{ 0x39eda007, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa5e7f29e, "dev_set_name" },
	{ 0x947c6b03, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x2f950e6, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xa9048626, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x359014c5, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x40c690de, "blk_mq_tagset_wait_completed_request" },
	{ 0xd90f4cd7, "cdev_device_del" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0x33667964, "finish_wait" },
	{ 0x7fce46a, "queue_limits_stack_bdev" },
	{ 0xacaede68, "trace_event_printf" },
	{ 0x66bbcb64, "device_initialize" },
	{ 0x23d96737, "blk_mq_unquiesce_queue" },
	{ 0xed77a3c5, "blk_mq_quiesce_queue" },
	{ 0xe590ba83, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xc72e114d, "__traceiter_block_bio_remap" },
	{ 0x8d500daf, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4d8e071a, "bpf_trace_run2" },
	{ 0xecf70bdb, "prepare_to_wait_event" },
	{ 0x90dc96c4, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xd170f48c, "__wake_up" },
	{ 0x44e7e0eb, "event_triggers_call" },
	{ 0xf770f3a6, "synchronize_srcu" },
	{ 0x4f4118b3, "param_ops_byte" },
	{ 0x4ac136a5, "get_device" },
	{ 0xab49f653, "blk_mq_end_request" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9525e9b3, "__blk_mq_alloc_disk" },
	{ 0xb08ea2dc, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4529f15e, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7c47ebc8, "blk_mq_alloc_tag_set" },
	{ 0xf477ca29, "blk_rq_is_poll" },
	{ 0xec75cdb0, "trace_event_buffer_commit" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xc34ea18c, "put_disk" },
	{ 0xb4f0cdf7, "cdev_device_add" },
	{ 0x7e987952, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xe71f7ae4, "blk_execute_rq" },
	{ 0xc49284cd, "put_device" },
	{ 0xc98673b8, "trace_event_ignore_this_pid" },
	{ 0x74d5ff59, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0x6050c946, "kmalloc_node_trace" },
	{ 0x24ea5182, "blk_mq_free_request" },
	{ 0xb0eef8a2, "__free_pages" },
	{ 0xedfe5efb, "_dev_info" },
	{ 0x6cd76c94, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f35836f, "module_put" },
	{ 0x9d967c8d, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3065d244, "sysfs_remove_link_from_group" },
	{ 0xec841ec5, "blk_rq_poll" },
	{ 0xce56b461, "blk_mq_quiesce_tagset" },
	{ 0xa8b969d3, "kobject_uevent_env" },
	{ 0x4ec5d886, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xcb9baf0e, "init_srcu_struct" },
	{ 0x5ce8bedd, "perf_trace_run_bpf_submit" },
	{ 0x778a057e, "_dev_err" },
	{ 0x7be8eb91, "blk_revalidate_disk_zones" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x990e414c, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x12784d5, "blk_rq_map_user_io" },
	{ 0xf070e6c, "sysfs_remove_link" },
	{ 0x27732501, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5a0e1ec6, "__srcu_read_lock" },
	{ 0x492a065a, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0x4d4e86fb, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x490db0be, "submit_bio_noacct" },
	{ 0x314220de, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0xbf07be28, "blk_sync_queue" },
	{ 0x180cb861, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x16fc119, "trace_event_reg" },
	{ 0xa91ad2f3, "blk_mq_alloc_request_hctx" },
	{ 0xa40ab540, "blk_mq_alloc_request" },
	{ 0x143ec08b, "ida_free" },
	{ 0x91a0deb2, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x241b6b44, "blk_mq_free_tag_set" },
	{ 0x6a356af4, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7f88fb02, "cleanup_srcu_struct" },
	{ 0x973d243a, "blk_freeze_queue_start_non_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x10f662a, "blk_set_stacking_limits" },
	{ 0x7ff4e877, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x478d371f, "blk_put_queue" },
	{ 0x437cc368, "bpf_trace_run1" },
	{ 0xc5ee23d1, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x33082594, "_dev_warn" },
	{ 0x5f90e28c, "__alloc_pages" },
	{ 0xb133f494, "blk_mq_wait_quiesce_done" },
	{ 0x233b7711, "__init_waitqueue_head" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0xd5f71617, "blk_rq_unmap_user" },
	{ 0xcfa0e3ec, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc41965f0, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1efc4220, "xa_erase" },
	{ 0xaec158c5, "bpf_trace_run3" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x3c22c53b, "blk_mq_complete_request" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x400e5c2c, "trace_event_buffer_reserve" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xfb82e728, "param_ops_bool" },
	{ 0x710658f4, "blk_mq_destroy_queue" },
	{ 0xf1dfcc22, "xa_destroy" },
	{ 0xa68319c2, "blk_freeze_queue_start" },
	{ 0x65a1c1c, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x2f9f6cf2, "xa_find" },
	{ 0xbb8da21a, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65f3c8c, "__tracepoint_block_bio_complete" },
	{ 0x753f325a, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe417cf2d, "__srcu_read_unlock" },
	{ 0xf61f3d4d, "sysfs_add_link_to_group" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x309d3eb3, "blk_mq_tagset_busy_iter" },
	{ 0xcab5dde4, "queue_limits_commit_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2937f5a2, "xa_find_after" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0x1937978c, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0x9901bdc7, "blk_mq_freeze_queue_nomemsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x411d6b08, "blk_mq_freeze_queue_wait" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf82d395b, "blk_mq_requeue_request" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0x5ebaf29b, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xff11fd13, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf4faed14, "bdev_end_io_acct" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0x6e4faa7d, "blk_steal_bios" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4E92A618D7ED9A2BC7D6604");
MODULE_INFO(rhelversion, "9.7");
