#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ptp_clock_register, "", "");
KSYMTAB_FUNC(ptp_clock_unregister, "", "");
KSYMTAB_FUNC(ptp_clock_event, "", "");
KSYMTAB_FUNC(ptp_clock_index, "", "");
KSYMTAB_FUNC(ptp_find_pin, "", "");
KSYMTAB_FUNC(ptp_find_pin_unlocked, "", "");
KSYMTAB_FUNC(ptp_schedule_worker, "", "");
KSYMTAB_FUNC(ptp_cancel_worker_sync, "", "");

SYMBOL_CRC(ptp_clock_register, 0xbe7e776a, "");
SYMBOL_CRC(ptp_clock_unregister, 0xf3d1cd93, "");
SYMBOL_CRC(ptp_clock_event, 0x7cbd1502, "");
SYMBOL_CRC(ptp_clock_index, 0x4bbb713b, "");
SYMBOL_CRC(ptp_find_pin, 0x3473d367, "");
SYMBOL_CRC(ptp_find_pin_unlocked, 0x62e8d917, "");
SYMBOL_CRC(ptp_schedule_worker, 0x2efaceba, "");
SYMBOL_CRC(ptp_cancel_worker_sync, 0xb90e5964, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x514447d8, "kthread_create_worker" },
	{ 0xa495b039, "ida_destroy" },
	{ 0x20f85ee, "kthread_cancel_delayed_work_sync" },
	{ 0xa5e7f29e, "dev_set_name" },
	{ 0x2903010c, "kthread_delayed_work_timer_fn" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0x7c303d15, "pps_register_source" },
	{ 0x33667964, "finish_wait" },
	{ 0x66bbcb64, "device_initialize" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x68899faf, "device_for_each_child" },
	{ 0xecf70bdb, "prepare_to_wait_event" },
	{ 0xd170f48c, "__wake_up" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc49284cd, "put_device" },
	{ 0x9e353b6c, "device_for_each_child_reverse" },
	{ 0xedfe5efb, "_dev_info" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe2a4602f, "kthread_mod_delayed_work" },
	{ 0x778a057e, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbf1e556, "pps_event" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0x143ec08b, "ida_free" },
	{ 0x91a0deb2, "class_unregister" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x822eeed2, "mutex_lock_interruptible" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xdcb764ad, "memset" },
	{ 0x233b7711, "__init_waitqueue_head" },
	{ 0xf922c0e4, "pps_unregister_source" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x23cf9fe, "kthread_destroy_worker" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0xdd310a28, "posix_clock_register" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x79c0f10b, "kthread_queue_delayed_work" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0x2ecbd4be, "posix_clock_unregister" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0x5ebaf29b, "class_register" },
	{ 0x862258db, "timecounter_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "pps_core");


MODULE_INFO(srcversion, "A051E671083E2DE2ADF425F");
MODULE_INFO(rhelversion, "9.7");
