#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_ep_set_maxpacket_limit, "_gpl", "");
KSYMTAB_FUNC(usb_ep_enable, "_gpl", "");
KSYMTAB_FUNC(usb_ep_disable, "_gpl", "");
KSYMTAB_FUNC(usb_ep_alloc_request, "_gpl", "");
KSYMTAB_FUNC(usb_ep_free_request, "_gpl", "");
KSYMTAB_FUNC(usb_ep_queue, "_gpl", "");
KSYMTAB_FUNC(usb_ep_dequeue, "_gpl", "");
KSYMTAB_FUNC(usb_ep_set_halt, "_gpl", "");
KSYMTAB_FUNC(usb_ep_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_ep_set_wedge, "_gpl", "");
KSYMTAB_FUNC(usb_ep_fifo_status, "_gpl", "");
KSYMTAB_FUNC(usb_ep_fifo_flush, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_frame_number, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_set_remote_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_set_selfpowered, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_clear_selfpowered, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_vbus_connect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_vbus_draw, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_vbus_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_connect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_deactivate, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_activate, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_map_request_by_dev, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_map_request, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_unmap_request_by_dev, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_unmap_request, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_giveback_request, "_gpl", "");
KSYMTAB_FUNC(gadget_find_ep_by_name, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_ep_match_desc, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_check_config, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_set_state, "_gpl", "");
KSYMTAB_FUNC(usb_udc_vbus_handler, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_udc_reset, "_gpl", "");
KSYMTAB_FUNC(usb_initialize_gadget, "_gpl", "");
KSYMTAB_FUNC(usb_add_gadget, "_gpl", "");
KSYMTAB_FUNC(usb_add_gadget_udc_release, "_gpl", "");
KSYMTAB_FUNC(usb_get_gadget_udc_name, "_gpl", "");
KSYMTAB_FUNC(usb_add_gadget_udc, "_gpl", "");
KSYMTAB_FUNC(usb_del_gadget, "_gpl", "");
KSYMTAB_FUNC(usb_del_gadget_udc, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_register_driver_owner, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_unregister_driver, "_gpl", "");

SYMBOL_CRC(usb_ep_set_maxpacket_limit, 0x89bf9dba, "_gpl");
SYMBOL_CRC(usb_ep_enable, 0xbcf61715, "_gpl");
SYMBOL_CRC(usb_ep_disable, 0xd152cd3f, "_gpl");
SYMBOL_CRC(usb_ep_alloc_request, 0x8ca7011c, "_gpl");
SYMBOL_CRC(usb_ep_free_request, 0x970607ff, "_gpl");
SYMBOL_CRC(usb_ep_queue, 0x7673e7f6, "_gpl");
SYMBOL_CRC(usb_ep_dequeue, 0x8c8eed8e, "_gpl");
SYMBOL_CRC(usb_ep_set_halt, 0x2d75696f, "_gpl");
SYMBOL_CRC(usb_ep_clear_halt, 0x861cbccd, "_gpl");
SYMBOL_CRC(usb_ep_set_wedge, 0x419d8389, "_gpl");
SYMBOL_CRC(usb_ep_fifo_status, 0x0b880a06, "_gpl");
SYMBOL_CRC(usb_ep_fifo_flush, 0xb2211837, "_gpl");
SYMBOL_CRC(usb_gadget_frame_number, 0x4b91f7b0, "_gpl");
SYMBOL_CRC(usb_gadget_wakeup, 0xb0441ee1, "_gpl");
SYMBOL_CRC(usb_gadget_set_remote_wakeup, 0x3b29f5de, "_gpl");
SYMBOL_CRC(usb_gadget_set_selfpowered, 0x6c31813f, "_gpl");
SYMBOL_CRC(usb_gadget_clear_selfpowered, 0x1786fb5b, "_gpl");
SYMBOL_CRC(usb_gadget_vbus_connect, 0xd0831d12, "_gpl");
SYMBOL_CRC(usb_gadget_vbus_draw, 0x18f9e2bb, "_gpl");
SYMBOL_CRC(usb_gadget_vbus_disconnect, 0x1d0fcfd1, "_gpl");
SYMBOL_CRC(usb_gadget_connect, 0xba3e82e1, "_gpl");
SYMBOL_CRC(usb_gadget_disconnect, 0xe9845bd6, "_gpl");
SYMBOL_CRC(usb_gadget_deactivate, 0x692a63c0, "_gpl");
SYMBOL_CRC(usb_gadget_activate, 0x9df5ed46, "_gpl");
SYMBOL_CRC(usb_gadget_map_request_by_dev, 0xf814185a, "_gpl");
SYMBOL_CRC(usb_gadget_map_request, 0x12c7a827, "_gpl");
SYMBOL_CRC(usb_gadget_unmap_request_by_dev, 0xa46de330, "_gpl");
SYMBOL_CRC(usb_gadget_unmap_request, 0x4f483447, "_gpl");
SYMBOL_CRC(usb_gadget_giveback_request, 0x2bbc8df2, "_gpl");
SYMBOL_CRC(gadget_find_ep_by_name, 0x64791579, "_gpl");
SYMBOL_CRC(usb_gadget_ep_match_desc, 0x686f3a9f, "_gpl");
SYMBOL_CRC(usb_gadget_check_config, 0x9471cc9c, "_gpl");
SYMBOL_CRC(usb_gadget_set_state, 0x61e7d5cf, "_gpl");
SYMBOL_CRC(usb_udc_vbus_handler, 0xb6ee79ac, "_gpl");
SYMBOL_CRC(usb_gadget_udc_reset, 0x4149e264, "_gpl");
SYMBOL_CRC(usb_initialize_gadget, 0x5ec51d8f, "_gpl");
SYMBOL_CRC(usb_add_gadget, 0xe430b004, "_gpl");
SYMBOL_CRC(usb_add_gadget_udc_release, 0xef2055dd, "_gpl");
SYMBOL_CRC(usb_get_gadget_udc_name, 0x50b88f41, "_gpl");
SYMBOL_CRC(usb_add_gadget_udc, 0x37764b96, "_gpl");
SYMBOL_CRC(usb_del_gadget, 0x7de4bbdf, "_gpl");
SYMBOL_CRC(usb_del_gadget_udc, 0x8b3d631a, "_gpl");
SYMBOL_CRC(usb_gadget_register_driver_owner, 0x107286ce, "_gpl");
SYMBOL_CRC(usb_gadget_unregister_driver, 0x7cfb1075, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0xa5e7f29e, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x359014c5, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x3055212a, "device_unregister" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0x9611988a, "dma_unmap_page_attrs" },
	{ 0xacaede68, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x66bbcb64, "device_initialize" },
	{ 0xe590ba83, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d8e071a, "bpf_trace_run2" },
	{ 0x44e7e0eb, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb08ea2dc, "__dynamic_dev_dbg" },
	{ 0xb0908140, "dev_driver_string" },
	{ 0xec75cdb0, "trace_event_buffer_commit" },
	{ 0x625988f9, "sysfs_notify" },
	{ 0xbd88bd02, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc49284cd, "put_device" },
	{ 0xc98673b8, "trace_event_ignore_this_pid" },
	{ 0x9d967c8d, "sysfs_create_link" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x5ce8bedd, "perf_trace_run_bpf_submit" },
	{ 0x39b3de14, "bus_unregister" },
	{ 0x778a057e, "_dev_err" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x990e414c, "device_add" },
	{ 0xf070e6c, "sysfs_remove_link" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0x16fc119, "trace_event_reg" },
	{ 0x143ec08b, "ida_free" },
	{ 0xd9d078b1, "driver_unregister" },
	{ 0x91a0deb2, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc5ee23d1, "device_del" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xaec158c5, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x400e5c2c, "trace_event_buffer_reserve" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7152f022, "kobject_uevent" },
	{ 0x51c8e6bf, "dma_unmap_sg_attrs" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5638bfd8, "driver_register" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0x5ebaf29b, "class_register" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0xfd62301c, "bus_register" },
	{ 0xb5a10b15, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "48FE4A7EBE832725628B42C");
MODULE_INFO(rhelversion, "9.7");
