#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0xdf222fa9, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0x3a358f7b, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0x790503c8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3247000, "device_property_present" },
	{ 0x37e4be2d, "usb_hcd_platform_shutdown" },
	{ 0x6d46087a, "is_acpi_device_node" },
	{ 0x8acc926c, "of_fwnode_ops" },
	{ 0xb95243de, "device_set_wakeup_capable" },
	{ 0x5ce1cea5, "xhci_suspend" },
	{ 0x6b7785a5, "devm_platform_get_and_ioremap_resource" },
	{ 0x83a21a8a, "platform_driver_unregister" },
	{ 0x4ff1f834, "platform_get_irq" },
	{ 0xfb9bdf1c, "xhci_gen_setup" },
	{ 0x4afbf292, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xe049126, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xf74e99fe, "devm_reset_control_array_get" },
	{ 0x7b4e516d, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf11fe8b9, "pm_runtime_enable" },
	{ 0x6bb24065, "device_property_read_u32_array" },
	{ 0x70ac9159, "of_match_device" },
	{ 0x778a057e, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xa6797393, "xhci_resume" },
	{ 0xff139d79, "xhci_run" },
	{ 0xe4e0b761, "usb_hcd_is_primary_hcd" },
	{ 0xa7100db3, "xhci_init_driver" },
	{ 0x60932b66, "usb_put_hcd" },
	{ 0x626a5e74, "__platform_driver_register" },
	{ 0x35120e00, "dma_set_coherent_mask" },
	{ 0x2789574c, "devm_clk_get_optional" },
	{ 0xb1eefe1c, "pm_runtime_forbid" },
	{ 0xb56b11db, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x35a1d1ad, "__usb_create_hcd" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdd2f2425, "dma_set_mask" },
	{ 0xdaf17379, "usb_remove_hcd" },
	{ 0x8494e57c, "of_device_get_match_data" },
	{ 0x1f11ccf8, "__pm_runtime_disable" },
	{ 0x2d516c20, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0x92b47734, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("acpi*:PNP0D15:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");

MODULE_INFO(srcversion, "EBC16724DE67F0DD633DE2F");
MODULE_INFO(rhelversion, "9.7");
