#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0x666b244c, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x6b466d8d, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x70f2d4dc, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0xa9574c53, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x03ada4ef, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x72370914, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x1d349635, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x03b59901, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0xac66572d, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0xfa4cbf46, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0xe69ee238, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0xfd2d4056, "");
SYMBOL_CRC(vfio_unpin_pages, 0xc34cd14f, "");
SYMBOL_CRC(vfio_dma_rw, 0x05aa93c3, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x4a46ce39, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x8e7cc8ff, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x563de6ec, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x854cbf88, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x6fa8721a, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xe12c9071, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x0274ec73, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0xcd262529, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0xbcb606f2, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0x513b61f7, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0x6ad1ff69, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0xda8302e7, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0xb8d26081, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0x49f29ca6, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0x8c385d72, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0x73fe5093, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0x72248cef, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0x0748e123, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x6abddd77, "iommufd_vfio_compat_ioas_get_id" },
	{ 0xb40c6982, "iommufd_access_unpin_pages" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x2a1d2fa2, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x4208673a, "anon_inode_getfile" },
	{ 0x867a0fee, "__init_rwsem" },
	{ 0xc88f0f82, "alloc_anon_inode" },
	{ 0xf86859b5, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xba1d3b97, "iommufd_access_detach" },
	{ 0xa495b039, "ida_destroy" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa5e7f29e, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xd90f4cd7, "cdev_device_del" },
	{ 0xb1719ee5, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0x3984b47e, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0x9ac65dff, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x66bbcb64, "device_initialize" },
	{ 0xd74b01ef, "iommufd_device_attach" },
	{ 0x5769d32c, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf8688a78, "iommufd_access_pin_pages" },
	{ 0x7d01cc90, "iput" },
	{ 0xe92b044e, "add_wait_queue" },
	{ 0xd94681a7, "iommufd_ctx_from_fd" },
	{ 0x911eebcc, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0xb08ea2dc, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xd1ae3327, "iommufd_vfio_compat_set_no_iommu" },
	{ 0xf7055e88, "iommufd_vfio_compat_ioas_create" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x92997ed8, "_printk" },
	{ 0xb4f0cdf7, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc49284cd, "put_device" },
	{ 0x77d96eb2, "iommufd_ctx_from_file" },
	{ 0xedfe5efb, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f35836f, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x3b91bf77, "fput" },
	{ 0x4a7451f0, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x63aa71ca, "up_write" },
	{ 0x990e414c, "device_add" },
	{ 0x314220de, "xa_load" },
	{ 0xe852b445, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xda20c4a6, "class_create" },
	{ 0x32b706f5, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x143ec08b, "ida_free" },
	{ 0x20d323aa, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc5ee23d1, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x33082594, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x1daf4bf8, "iommufd_access_destroy" },
	{ 0x6ebdc735, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x59e56115, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0x328c32ed, "__xa_cmpxchg" },
	{ 0xc145b494, "iommufd_device_to_id" },
	{ 0x39c4cdb7, "init_pseudo" },
	{ 0x3dc8065a, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xb56b11db, "__pm_runtime_resume" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0xfb82e728, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf1dfcc22, "xa_destroy" },
	{ 0xd500832f, "iommufd_ctx_put" },
	{ 0xcf1e6a58, "iommufd_access_create" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfbc83a1e, "iommufd_device_detach" },
	{ 0xdc84a74d, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf7a508dc, "simple_release_fs" },
	{ 0x47666ab8, "kill_anon_super" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x7c60a552, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x848c223c, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xd778d7c2, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x5e0cc36c, "up_read" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x1fe0e24b, "__pm_runtime_idle" },
	{ 0xff11fd13, "cdev_init" },
	{ 0x65888b02, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1ef3689b, "eventfd_ctx_fileget" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0x414508f, "iommu_group_remove_device" },
	{ 0x66694c77, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "80C08A9AB5DF09EA0863245");
MODULE_INFO(rhelversion, "9.7");
