#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x965e3234, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x1f909691, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0xd229f45e, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x1e2f8736, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0x49b9f436, "_gpl");
SYMBOL_CRC(vhost_has_work, 0xf50868cc, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x2cb79390, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0xaf6b7e7b, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x79d3cb91, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x8f31d495, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x3d44e5b3, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xf29e518d, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x87b8d00f, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x7a154720, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x42df82ea, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x1795223b, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x4908643f, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x85319e91, "");
SYMBOL_CRC(vhost_chr_poll, 0x2b8c9a29, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x4a04acc6, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xb402f506, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xba5cf28a, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xb01cd103, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x6a29f70d, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x38e224c2, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0xce5b83bb, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x50c9cdf4, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x3cd68526, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x45e4203c, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0xc80f1205, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x243392be, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x5b0a8002, "_gpl");
SYMBOL_CRC(vhost_signal, 0x204831f8, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x2d299aec, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x8ebfdcf3, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x89eeb4a4, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x73cb2173, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x2c2c9f3a, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x410b24d5, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x2884d7a6, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x5b77933a, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xc261a369, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe92b044e, "add_wait_queue" },
	{ 0x869eff76, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x6651ae20, "wake_up_process" },
	{ 0xdcb764ad, "memset" },
	{ 0x2e1c02de, "cgroup_attach_task_all" },
	{ 0x852ce8da, "mmput" },
	{ 0xd62a4736, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0xd170f48c, "__wake_up" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0x233b7711, "__init_waitqueue_head" },
	{ 0x8c786817, "pin_user_pages_fast" },
	{ 0x49608959, "migrate_disable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xcece7ae7, "unpin_user_pages_dirty_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd10d7ef, "kthread_use_mm" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x43e64e8c, "kthread_unuse_mm" },
	{ 0x1000e51, "schedule" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x3b91bf77, "fput" },
	{ 0xa1773a7b, "kthread_stop" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0xa3e0e513, "iov_iter_init" },
	{ 0xb19b0824, "_copy_from_iter" },
	{ 0x928ca805, "iov_iter_revert" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc0efbb27, "_copy_to_iter" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4839e38e, "prepare_to_wait" },
	{ 0x33667964, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x65929d4a, "get_task_mm" },
	{ 0x5c648dde, "kthread_create_on_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0xbef69b2, "iov_iter_advance" },
	{ 0x18c713db, "eventfd_fget" },
	{ 0x595e164e, "param_ops_int" },
	{ 0x4b1745b6, "param_ops_ushort" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.7");
