#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xeba71f46, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xe39a5cff, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x5cec24cc, "_gpl");
SYMBOL_CRC(fat_scan, 0xf1c0590b, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xdad14430, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x058d29c5, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x4cc909d9, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x417ab67b, "_gpl");
SYMBOL_CRC(fat_getattr, 0xfca5b0b2, "_gpl");
SYMBOL_CRC(fat_setattr, 0xdad4c058, "_gpl");
SYMBOL_CRC(fat_attach, 0x094ef451, "_gpl");
SYMBOL_CRC(fat_detach, 0xc4da9f32, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xc33fb4f3, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xcae496db, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x91f5364d, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x7d885367, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x6c3e767a, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xbc292baf, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xd0b1e032, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xeada06c4, "_gpl");
SYMBOL_CRC(fat_update_time, 0x1746bef3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x494f92ba, "filemap_fdatawrite" },
	{ 0xc5c2ce16, "generic_fillattr" },
	{ 0x11609fc, "setattr_prepare" },
	{ 0x4b4cdf36, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x867a0fee, "__init_rwsem" },
	{ 0x60f924bb, "sync_blockdev_nowait" },
	{ 0x44efdcae, "make_vfsgid" },
	{ 0x14174ed8, "blk_start_plug" },
	{ 0xf6bb36ed, "clear_inode" },
	{ 0xec775bec, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xc88cee4f, "generic_file_splice_read" },
	{ 0xbe93d95a, "new_inode" },
	{ 0x17a3d71c, "mark_buffer_dirty" },
	{ 0x1b0636c9, "security_inode_setattr" },
	{ 0x951f5e86, "__find_get_block" },
	{ 0x5c758c95, "filemap_fdatawrite_range" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0x51c330b5, "inode_needs_sync" },
	{ 0x5945189f, "__blockdev_direct_IO" },
	{ 0xdb52190a, "d_make_root" },
	{ 0xa960b4a1, "__bforget" },
	{ 0xab010f9b, "sb_set_blocksize" },
	{ 0x11ad6e46, "block_truncate_page" },
	{ 0xed61370a, "write_dirty_buffer" },
	{ 0xc7567fee, "sync_filesystem" },
	{ 0x30beaf8e, "fsnotify" },
	{ 0xff964646, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcf6eff54, "from_vfsuid" },
	{ 0x3a037fa3, "inode_dio_wait" },
	{ 0x13c9dfcf, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xe9b8c501, "cont_write_begin" },
	{ 0x7d01cc90, "iput" },
	{ 0x3838b644, "iter_file_splice_write" },
	{ 0x9c25c856, "generic_file_write_iter" },
	{ 0x74c5f999, "kmem_cache_create" },
	{ 0x702d4b9f, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb681e4ad, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd90ea5d2, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x7c045e7d, "block_invalidate_folio" },
	{ 0x3db3020f, "__breadahead" },
	{ 0x10b04d1e, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x596a86e3, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xe77cbdb2, "generic_cont_expand_simple" },
	{ 0x9a3d36cf, "make_kuid" },
	{ 0xea8b8a0a, "truncate_inode_pages_final" },
	{ 0x5136fb45, "block_write_full_page" },
	{ 0xa8abf6af, "generic_file_mmap" },
	{ 0x40594c22, "sync_mapping_buffers" },
	{ 0x2297d2a2, "ilookup" },
	{ 0xe4f0609a, "kmem_cache_alloc" },
	{ 0x78184af6, "invalidate_inode_buffers" },
	{ 0xdd0ad530, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x47e9d545, "mnt_drop_write_file" },
	{ 0x9e62238c, "inode_init_once" },
	{ 0x7dfc28b5, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xe4013e10, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4a7451f0, "down_write" },
	{ 0x63aa71ca, "up_write" },
	{ 0xebf18f22, "generic_file_read_iter" },
	{ 0xbf4fe6d2, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x4d0a239d, "truncate_pagecache" },
	{ 0x5a25f5f4, "sync_dirty_buffer" },
	{ 0x2ba91367, "setattr_copy" },
	{ 0x7039f10a, "__wait_on_buffer" },
	{ 0x3d874d83, "set_nlink" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0x7cf11ce3, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x2f65aa2b, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x75c87835, "from_vfsgid" },
	{ 0xa329534e, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x51854aa2, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xeecb694, "__bread_gfp" },
	{ 0xff6494b7, "block_dirty_folio" },
	{ 0x1bce8fee, "mpage_read_folio" },
	{ 0xdcb764ad, "memset" },
	{ 0xdfcd8990, "__insert_inode_hash" },
	{ 0x538febe, "make_kgid" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0xca2c0622, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x59e56115, "down_read" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0xc8125b08, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcdb26f52, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe5c0b7e2, "igrab" },
	{ 0xe896176e, "__getblk_gfp" },
	{ 0x67bc1113, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0x1f50fca8, "mpage_readahead" },
	{ 0x9531ea95, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x3ffc4339, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xf6798211, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xd1297e1d, "blkdev_issue_flush" },
	{ 0xbb708ee5, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4c1123d5, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xbcf957d9, "from_kuid_munged" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0xf0fa8ba5, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x409dfb7d, "kmem_cache_alloc_lru" },
	{ 0xfabae404, "__mark_inode_dirty" },
	{ 0x705a02ca, "generic_file_llseek" },
	{ 0x67e48853, "unload_nls" },
	{ 0x5e0cc36c, "up_read" },
	{ 0x52c6ebe, "mark_buffer_dirty_inode" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0xfb210f12, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x18909e7a, "kmem_cache_destroy" },
	{ 0x1fe78854, "blkdev_issue_discard" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DF33C03A1CFD5AA6EBC33C");
MODULE_INFO(rhelversion, "9.7");
