#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_update_delegated_mtime, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0x02fa4b95, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0x561799e4, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0x20233887, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x112c9d7b, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x328d46b1, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x6e7bb7be, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0xbf090e5f, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0x1b8e27a6, "_gpl");
SYMBOL_CRC(nfs_get_client, 0xb636746b, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0x0309005b, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x5a99198c, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x5ea5a87d, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x1cd502fa, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0xbdd2f847, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0xf6a4c07e, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x972dbc7c, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x0bb5c11c, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0xc63aa13e, "_gpl");
SYMBOL_CRC(nfs_free_server, 0xd915c9e2, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x5ba84ebe, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0x61fc2bad, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0xe05d3338, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x71bd58b5, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0xa29aaa50, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0x87b55ecf, "_gpl");
SYMBOL_CRC(nfs_lookup, 0xa2c87635, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0x94255f9e, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0xbc6d1e9b, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x497e6f35, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0x9076c4e2, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0x3f78721c, "_gpl");
SYMBOL_CRC(nfs_create, 0x56ef66d1, "_gpl");
SYMBOL_CRC(nfs_mknod, 0xff51ce73, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x0ae6cd2e, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0x2f302217, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x83952342, "_gpl");
SYMBOL_CRC(nfs_symlink, 0xf6ce951d, "_gpl");
SYMBOL_CRC(nfs_link, 0x7df34bc0, "_gpl");
SYMBOL_CRC(nfs_rename, 0x7abf2e21, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x71923145, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0x07774bb0, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0x1b88ff83, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0xc6c8b8f1, "_gpl");
SYMBOL_CRC(nfs_may_open, 0xf38bb37e, "_gpl");
SYMBOL_CRC(nfs_permission, 0x227c6f91, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x69f09881, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0x6154703d, "_gpl");
SYMBOL_CRC(nfs_file_read, 0xbf019658, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0x0b3225dc, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0x9e13ef80, "_gpl");
SYMBOL_CRC(nfs_file_write, 0xbbe73ea6, "_gpl");
SYMBOL_CRC(nfs_lock, 0xb2737cee, "_gpl");
SYMBOL_CRC(nfs_flock, 0x5c71c4f8, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0xf90ae7e5, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0xb6b19d6a, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0xd87ebaba, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x4788c07f, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0xaab1a5c5, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x23a3fc29, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0x29b6fac5, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0x6b01ffb1, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x5b10d828, "_gpl");
SYMBOL_CRC(nfs_fhget, 0xff1a5010, "_gpl");
SYMBOL_CRC(nfs_update_delegated_mtime, 0x71815a22, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x9dde6113, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0xf4344e60, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x10b9388c, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0x2cbc5aea, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0xbd377b90, "_gpl");
SYMBOL_CRC(nfs_close_context, 0xbf9f3248, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0x76c07a75, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x0c3b19a7, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0x59c18ee1, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x9fa741e3, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0xb4c1c26d, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0x1077d6fb, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x9d3e5ff3, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0x7d530335, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0xafbb84aa, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0xa6e5862d, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x7b155277, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0x173b04eb, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0xf1bd84e1, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0x9e423d66, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0x33a75ce4, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0xe5477735, "_gpl");
SYMBOL_CRC(nfs_statfs, 0xa979996a, "_gpl");
SYMBOL_CRC(nfs_show_options, 0xd766c7ee, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0xbf650644, "_gpl");
SYMBOL_CRC(nfs_show_path, 0x80b737fb, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0x059f72bf, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x106557aa, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0x719a6272, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x8143302a, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0x84399b2c, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0x916661ec, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x650a4793, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0x6a69eb31, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0xc9a640f3, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x479042c9, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0x26eb5970, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0xc8f36fc1, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0xc10e7ffe, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0xb0d61e14, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x51b24786, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0x7593ac32, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x54914c88, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x14e4e8cc, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0x3d2a3cb2, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x2803b1a1, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0xf2237c66, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0xbf6595bf, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0x5abc5a1e, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0xfc94e4d7, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0xfb73068c, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0xeac27b29, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0xd6270e99, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x8ae2a4d1, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0xf8cbe525, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0x7717ec26, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0xc0b15b78, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0x086de2e1, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0xeb5be22a, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0xd176a6eb, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0xe7f27a14, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0x516a561b, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x1dbeac65, "_gpl");
SYMBOL_CRC(nfs_path, 0xf24d9232, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x4a0d1de0, "_gpl");
SYMBOL_CRC(nfs_submount, 0x67ee5004, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x30496988, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x3ee19023, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xf96f04c4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x44cc3a41, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0xc05a320a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x6e81f032, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x59923eb3, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0x0e047f2f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x73dff4c0, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xe70507df, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x3f92c14f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x95007f7e, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0x50f805e3, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0x8455ea3b, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0xe4e8841f, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0x8c436b88, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35b51e9a, "rpc_put_task" },
	{ 0xf0681449, "super_setup_bdi_name" },
	{ 0xec8af63, "posix_test_lock" },
	{ 0x2d7ed572, "inode_update_timestamps" },
	{ 0xe914e41e, "strcpy" },
	{ 0x494f92ba, "filemap_fdatawrite" },
	{ 0xc5c2ce16, "generic_fillattr" },
	{ 0x2dccd31d, "vfs_fsync_range" },
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0x25480351, "clear_nlink" },
	{ 0xc22f059f, "file_check_and_advance_wb_err" },
	{ 0x2a1d2fa2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3604e5c3, "d_alloc_parallel" },
	{ 0xe547dd9a, "flush_dcache_page" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x867a0fee, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf6bb36ed, "clear_inode" },
	{ 0xd543f6fc, "inode_to_bdi" },
	{ 0x5911738e, "bpf_trace_run4" },
	{ 0xa495b039, "ida_destroy" },
	{ 0x39eda007, "param_ops_ulong" },
	{ 0x9dcb38a8, "proc_dointvec_jiffies" },
	{ 0x10958574, "rpc_proc_register" },
	{ 0x2c163f6c, "register_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xea4185a5, "sysfs_create_file_ns" },
	{ 0x4797f285, "rpc_shutdown_client" },
	{ 0x661de116, "fs_param_is_string" },
	{ 0xf1efbfaf, "folio_unlock" },
	{ 0x73225c8f, "mnt_set_expiry" },
	{ 0x4b1745b6, "param_ops_ushort" },
	{ 0x3db7ce51, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc88cee4f, "generic_file_splice_read" },
	{ 0x92e23861, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa7691443, "filemap_map_pages" },
	{ 0x3e374e86, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x359014c5, "trace_raw_output_prep" },
	{ 0x9de18741, "kobject_rename" },
	{ 0xa8d29412, "security_sb_set_mnt_opts" },
	{ 0xa9fbce82, "init_special_inode" },
	{ 0x9d504ef, "unregister_filesystem" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5c758c95, "filemap_fdatawrite_range" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0xc27508a0, "folio_wait_bit_killable" },
	{ 0x33667964, "finish_wait" },
	{ 0xbf2c9055, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xdb52190a, "d_make_root" },
	{ 0xacaede68, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc7567fee, "sync_filesystem" },
	{ 0x81976702, "folio_redirty_for_writepage" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x100aaf55, "sget_fc" },
	{ 0xbc51fe6b, "d_splice_alias" },
	{ 0xef272056, "generic_error_remove_page" },
	{ 0xe590ba83, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xcc9ab968, "unmap_mapping_range" },
	{ 0x44344e0, "ihold" },
	{ 0x3a037fa3, "inode_dio_wait" },
	{ 0x289cf4b, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5527c14, "invalidate_inode_pages2_range" },
	{ 0xba4090e4, "read_cache_page" },
	{ 0x9725653c, "finish_open" },
	{ 0x7d01cc90, "iput" },
	{ 0xd342e040, "kset_unregister" },
	{ 0x8b8a5a75, "security_sb_clone_mnt_opts" },
	{ 0x9ed98992, "fs_param_is_enum" },
	{ 0xfb8578fa, "logfc" },
	{ 0x3838b644, "iter_file_splice_write" },
	{ 0xa713bf78, "rpc_pton" },
	{ 0x2b28a1a2, "mod_node_page_state" },
	{ 0x368a76f1, "rpc_wake_up_queued_task" },
	{ 0x4d8e071a, "bpf_trace_run2" },
	{ 0xecf70bdb, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x722ffe9c, "remove_proc_subtree" },
	{ 0x81a47f3d, "rpc_restart_call_prepare" },
	{ 0xc1a558e7, "d_lookup" },
	{ 0x44e7e0eb, "event_triggers_call" },
	{ 0xd170f48c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb7094585, "__module_get" },
	{ 0xb1104983, "register_filesystem" },
	{ 0x74c5f999, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x188207ef, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x2413d3ce, "mempool_free" },
	{ 0x99f5e3fe, "filemap_add_folio" },
	{ 0xa45f2ce7, "rpc_sleep_on" },
	{ 0x2a6b7754, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc729cde8, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3b1b7f38, "d_prune_aliases" },
	{ 0x5b6bab55, "__put_cred" },
	{ 0xc82b32ae, "register_pernet_subsys" },
	{ 0xd2a57f38, "rpc_cancel_tasks" },
	{ 0xec75cdb0, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x60b8adb0, "migrate_folio" },
	{ 0x2b4692a3, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x315e4f92, "fs_param_is_u32" },
	{ 0x863ea37e, "inode_newsize_ok" },
	{ 0xc23f93ed, "d_drop" },
	{ 0x3d755543, "deactivate_super" },
	{ 0x755ec5d0, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xb36e2ee1, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0x3b92c566, "security_sb_mnt_opts_compat" },
	{ 0xfb0aaa44, "param_get_uint" },
	{ 0x19d65cf2, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xa34a4b65, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc98673b8, "trace_event_ignore_this_pid" },
	{ 0x9a3d36cf, "make_kuid" },
	{ 0xea8b8a0a, "truncate_inode_pages_final" },
	{ 0xfef8a98d, "d_alloc" },
	{ 0xcc2d4059, "fs_kobj" },
	{ 0xa41fdae3, "net_ns_type_operations" },
	{ 0xee766f19, "__filemap_set_wb_err" },
	{ 0xa8abf6af, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xf21b03a0, "generic_perform_write" },
	{ 0xba7c1e91, "__filemap_get_folio" },
	{ 0x32270b8c, "mempool_alloc" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x28347b68, "simple_nosetlease" },
	{ 0xe4f0609a, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x1f35836f, "module_put" },
	{ 0x2da27e4a, "__var_waitqueue" },
	{ 0xc0152dbe, "rpc_setbufsize" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf7e0dba1, "fs_context_for_submount" },
	{ 0x9e62238c, "inode_init_once" },
	{ 0x41239c1e, "folio_wait_private_2" },
	{ 0xc44d6aa9, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xc848e6dc, "idr_remove" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x4eec2cc5, "ilookup5" },
	{ 0xfcc9c161, "generic_parse_monolithic" },
	{ 0x591dab0, "contig_page_data" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2348eee2, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x5ce8bedd, "perf_trace_run_bpf_submit" },
	{ 0x19a9e214, "security_d_instantiate" },
	{ 0x49608959, "migrate_disable" },
	{ 0x4a7451f0, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x63aa71ca, "up_write" },
	{ 0xebf18f22, "generic_file_read_iter" },
	{ 0xff963515, "unlock_page" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x9293a207, "rpc_clone_client_set_auth" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0x4d0a239d, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x68fc5c53, "put_fs_context" },
	{ 0xc3611f34, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x6d85c6ab, "kobj_sysfs_ops" },
	{ 0x314220de, "xa_load" },
	{ 0xbb6fb12c, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x2f9e6765, "write_cache_pages" },
	{ 0x3d874d83, "set_nlink" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0x7cf11ce3, "kmem_cache_free" },
	{ 0xb101e256, "rpc_max_payload" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x694d0774, "d_move" },
	{ 0x9b6781f, "seq_putc" },
	{ 0x8ffb6736, "rpc_proc_unregister" },
	{ 0x16fc119, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xca4e528d, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x17fa75ae, "folio_wait_writeback" },
	{ 0x143ec08b, "ida_free" },
	{ 0x48655e24, "nlmclnt_rpc_clnt" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x7365d2cf, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa329534e, "write_inode_now" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x51854aa2, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xaaed3f9e, "rpc_create" },
	{ 0x86df0f7d, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x300441bf, "__folio_start_writeback" },
	{ 0x8bbfb8ba, "d_obtain_root" },
	{ 0x437cc368, "bpf_trace_run1" },
	{ 0x6ee7fe5c, "param_ops_short" },
	{ 0x8e073013, "idr_destroy" },
	{ 0x706a73c8, "folio_end_writeback" },
	{ 0x390ec75a, "rpc_call_sync" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x90516f52, "proc_mkdir" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x104d4cb3, "rpc_put_task_async" },
	{ 0x64dc2753, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xbc7944b6, "xdr_init_decode_pages" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0x5f90e28c, "__alloc_pages" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x233b7711, "__init_waitqueue_head" },
	{ 0x7facd223, "rpc_exit" },
	{ 0x538febe, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x63feb59, "d_delete" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0x4e2a8b4d, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x15423b4c, "rpc_killall_tasks" },
	{ 0x59e56115, "down_read" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0x7c99a954, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3b5ccca0, "iov_iter_get_pages_alloc2" },
	{ 0xe0881786, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xaec158c5, "bpf_trace_run3" },
	{ 0xcefc1257, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xded02d65, "__folio_alloc" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x67bc1113, "generic_read_dir" },
	{ 0x712b0125, "kobject_del" },
	{ 0x400e5c2c, "trace_event_buffer_reserve" },
	{ 0x28fca03d, "d_add" },
	{ 0x671f99f2, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0x9531ea95, "filemap_fdatawait_range" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xfb82e728, "param_ops_bool" },
	{ 0x732dd326, "groups_free" },
	{ 0x3ffc4339, "init_user_ns" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x3b05f6b9, "invalidate_inode_pages2" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa2135ab5, "mempool_destroy" },
	{ 0x8e84c685, "__folio_put" },
	{ 0x5906c6d0, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0x6d062bd4, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xddd15636, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x44e11d3f, "deactivate_locked_super" },
	{ 0x7f3dee26, "put_rpccred" },
	{ 0xc2923c5e, "__percpu_down_read" },
	{ 0xd47cd016, "__d_lookup_unhash_wake" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7152f022, "kobject_uevent" },
	{ 0x8aa921b5, "folio_mapping" },
	{ 0x6d68e9a0, "downgrade_write" },
	{ 0xf898ea74, "cred_fscmp" },
	{ 0xd4b099be, "__folio_lock" },
	{ 0x321e1f76, "filemap_dirty_folio" },
	{ 0x41d021d4, "pagecache_get_page" },
	{ 0x69beb82d, "is_bad_inode" },
	{ 0xab77be1b, "proc_dointvec" },
	{ 0xbb708ee5, "seq_puts" },
	{ 0xf0181eef, "rcuwait_wake_up" },
	{ 0x19761cb4, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x22fe16e6, "seq_escape" },
	{ 0xfdb7994f, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xe7130d4, "__fs_parse" },
	{ 0xd761dc08, "sysfs_create_link_nowarn" },
	{ 0x9291c75a, "dget_parent" },
	{ 0xe02c2888, "nlmclnt_init" },
	{ 0x47666ab8, "kill_anon_super" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0x7e41a16a, "iget5_locked" },
	{ 0xfaba3092, "filemap_write_and_wait_range" },
	{ 0x386667a4, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe6482a4, "nlmclnt_done" },
	{ 0x98cf60b3, "strlen" },
	{ 0xad47f873, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x595e164e, "param_ops_int" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x928ca805, "iov_iter_revert" },
	{ 0xedacf9ec, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaf4e97b2, "mntget" },
	{ 0xc749e82, "setattr_should_drop_sgid" },
	{ 0x349cba85, "strchr" },
	{ 0x409dfb7d, "kmem_cache_alloc_lru" },
	{ 0x6b80416b, "filemap_fault" },
	{ 0xdee672de, "d_invalidate" },
	{ 0xfabae404, "__mark_inode_dirty" },
	{ 0x705a02ca, "generic_file_llseek" },
	{ 0x83505cfe, "folio_wait_private_2_killable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x5e0cc36c, "up_read" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0x9ef92aeb, "rpc_wait_for_completion_task" },
	{ 0x4b90c2b0, "set_anon_super" },
	{ 0xefa2060b, "drop_nlink" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x18909e7a, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbd36de73, "kobject_put" },
	{ 0x322900, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,lockd");


MODULE_INFO(srcversion, "91A72D47C87398F8BACB884");
MODULE_INFO(rhelversion, "9.7");
