#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x48741a3e, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x1866d642, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x6d1c8a35, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x593c7560, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xabd4524a, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x948b5717, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xa2e5aeb5, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xfd3adf38, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x3ef41d98, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xfb1e5249, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xeec99bb8, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xce3d8dda, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x10112380, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x96caacca, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x116a941d, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x4145ff27, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x2ab398fb, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xdaf11e26, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xc25a0d13, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x0ee7780c, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xf92e9ceb, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x5dd7ccbe, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x97f336d8, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x7e176781, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xac542901, "_gpl");
SYMBOL_CRC(print_tuple, 0xe0935405, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xecc82e5b, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x0f20e00e, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x152808c4, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x412cdd91, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xc0d5b06c, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x8a321f95, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xc6bc30eb, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xf155a2fd, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x973edf7e, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x8b70e2a8, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x15a0a8b3, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x0131eb9f, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x0e6ac4bd, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x0489638c, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x979d6df2, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x4a9f4e3e, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xedaa91f8, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xbd084b50, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x491dfea4, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x02b68823, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x4afd3eba, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x09938dcb, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xabff8106, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x4df8bf44, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xbf475c68, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x49b174cc, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x595999e3, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x674cee6d, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xf0b76b19, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x244a176e, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x990ba540, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0x4f67a013, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x998518db, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xcf78b032, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xe47df58c, "_gpl");
SYMBOL_CRC(nf_confirm, 0xaee7a88c, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x02154b56, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x2d991609, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x4a7882d0, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x841f2c75, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xcae56813, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x4df34c83, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xb8e2b1f6, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x8db6076d, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xe754309d, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x0bdc0ed9, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x1aa77b4a, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x6406e0a0, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x4d33515a, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x39e27f58, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xa03461b3, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x465dc212, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x3241e149, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xfd74fdfd, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xcc81860e, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x74b19c72, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xf93a1dd7, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xda9e739b, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x7447e511, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x1d6bfddb, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x800d91ea, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x52d43c19, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5db3c79, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x2a1d2fa2, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x346988f3, "nf_defrag_ipv4_disable" },
	{ 0xb4483967, "nf_ip6_checksum" },
	{ 0x7171eb6d, "proc_dou8vec_minmax" },
	{ 0xd0c61868, "skb_copy_bits" },
	{ 0x8ff00108, "param_ops_uint" },
	{ 0x9dcb38a8, "proc_dointvec_jiffies" },
	{ 0xe6aaac0d, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9ecc48e4, "nf_register_sockopt" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0xf44eefe1, "nfct_btf_struct_access" },
	{ 0x92399ded, "param_set_uint" },
	{ 0x3140ac9c, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xcb0537f7, "get_net_ns_by_id" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x74c5f999, "kmem_cache_create" },
	{ 0xb4dda0e3, "nf_ct_hook" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc729cde8, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xc82b32ae, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xce1f4ce2, "nf_unregister_sockopt" },
	{ 0xfb0aaa44, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x9a3d36cf, "make_kuid" },
	{ 0x342584b5, "nf_defrag_ipv6_disable" },
	{ 0x8841c02a, "ipv6_skip_exthdr" },
	{ 0x8984ae77, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xe4f0609a, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x1f35836f, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x65907594, "nf_checksum" },
	{ 0xe6f3e85d, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb4b93b14, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0x7cf11ce3, "kmem_cache_free" },
	{ 0x9b6781f, "seq_putc" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xc9a254a3, "nf_checksum_partial" },
	{ 0x1e83c6e2, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x5d417d7a, "nf_unregister_net_hooks" },
	{ 0x99d4c64b, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x64dc2753, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe38decf5, "nf_log_packet" },
	{ 0x538febe, "make_kgid" },
	{ 0xf5f004ce, "nf_ip_checksum" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0xa3a0e1f7, "register_btf_kfunc_id_set" },
	{ 0xdb99a496, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x59e56115, "down_read" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0xcefc1257, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x48b4d2d8, "__skb_checksum" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd5f31a18, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xfb82e728, "param_ops_bool" },
	{ 0x8485e24a, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3053733, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xfe7c845d, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xab77be1b, "proc_dointvec" },
	{ 0xbb708ee5, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5dbc530f, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xa7cde407, "unregister_net_sysctl_table" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xd7c47db, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x5e0cc36c, "up_read" },
	{ 0xfc97f47, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x18909e7a, "kmem_cache_destroy" },
	{ 0xc4a0761c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "592075472331D0393834752");
MODULE_INFO(rhelversion, "9.7");
