#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x6cc97b60, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xa11e4d3e, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x75c5ba5e, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3d7c0c82, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe4c0dda2, "sock_queue_rcv_skb_reason" },
	{ 0xa4956ffb, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5911738e, "bpf_trace_run4" },
	{ 0xd0c61868, "skb_copy_bits" },
	{ 0x2f577dbe, "radix_tree_insert" },
	{ 0x90a9eb43, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9ccdd868, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x359014c5, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x12b8ab79, "radix_tree_lookup" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0xacaede68, "trace_event_printf" },
	{ 0x66bfb1e8, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xe590ba83, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x44e7e0eb, "event_triggers_call" },
	{ 0xd170f48c, "__wake_up" },
	{ 0xb7094585, "__module_get" },
	{ 0xa4df1d1d, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xced919c1, "__pskb_copy_fclone" },
	{ 0x9ae1c2c4, "sk_error_report" },
	{ 0x1e763064, "skb_queue_purge_reason" },
	{ 0xa5149150, "radix_tree_iter_delete" },
	{ 0xec75cdb0, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65f248ff, "proto_unregister" },
	{ 0xa21f9ec2, "sock_register" },
	{ 0x9097d44f, "datagram_poll" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc98673b8, "trace_event_ignore_this_pid" },
	{ 0x2f4f9be6, "__alloc_skb" },
	{ 0x531f1c93, "rt_write_unlock" },
	{ 0x2887c31e, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f35836f, "module_put" },
	{ 0xf06f8590, "__xa_alloc" },
	{ 0xf16b1185, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x5ce8bedd, "perf_trace_run_bpf_submit" },
	{ 0xd79948ab, "__traceiter_sk_data_ready" },
	{ 0xb4b93b14, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x651b7c96, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5629d05, "sk_skb_reason_drop" },
	{ 0x314220de, "xa_load" },
	{ 0x1ceb93eb, "kernel_getsockname" },
	{ 0xca909915, "do_wait_intr_irq" },
	{ 0x8742cfe8, "sk_free" },
	{ 0x9160c1e3, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0xd5422504, "skb_push" },
	{ 0x96f7d1df, "sock_no_listen" },
	{ 0x16fc119, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x99d4c64b, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe08fe4e1, "skb_copy_datagram_iter" },
	{ 0xfb0e858f, "sk_alloc" },
	{ 0x7cb2f23b, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x70df40be, "sock_no_mmap" },
	{ 0x233b7711, "__init_waitqueue_head" },
	{ 0x6c1f9889, "sock_no_sendpage" },
	{ 0x5e9a0816, "__netdev_alloc_skb" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0x4b0c4147, "__xa_insert" },
	{ 0x1efc4220, "xa_erase" },
	{ 0xaec158c5, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xeacd1986, "skb_set_owner_w" },
	{ 0x400e5c2c, "trace_event_buffer_reserve" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0x33adda80, "sock_create_kern" },
	{ 0x2f9f6cf2, "xa_find" },
	{ 0x999327f7, "skb_recv_datagram" },
	{ 0x1e0f505c, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x753f325a, "xa_store" },
	{ 0xd7fa1678, "rt_write_lock" },
	{ 0xb19b0824, "_copy_from_iter" },
	{ 0x198ee051, "sock_release" },
	{ 0x4435aaea, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2937f5a2, "xa_find_after" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x928ca805, "iov_iter_revert" },
	{ 0xcd850119, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0x4c8c7b39, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xc4a0761c, "release_sock" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.7");
