#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write_payload, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_clear_payload, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_poll_act_handled, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dump_lttpr_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_queue_probe, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_connector_hdmi_audio_plugged_notify, "", "");
KSYMTAB_FUNC(drm_connector_hdmi_audio_init, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_hdmi_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_check, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_mode_valid, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_infoframes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_hotplug, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_force, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_bridge_connector_init, 0xd2ff51e7, "_gpl");
SYMBOL_CRC(drm_dp_dual_mode_read, 0x1a2ea7b5, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0xd8ed80e8, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x78bf7180, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x59d5dedb, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x2a6d299c, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x4710279d, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0xe289a41d, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x0912378c, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0xdcb7cede, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0xed29c51a, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x889e89bc, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x4104aeba, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x8c0e7a3d, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x070d4768, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xf6e10df6, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0xc27b3fa5, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x995e76f1, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0xbe20df65, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xae4f9c5a, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0xc9458c07, "");
SYMBOL_CRC(drm_dp_dpcd_write_payload, 0x78bd1742, "");
SYMBOL_CRC(drm_dp_dpcd_clear_payload, 0x746e2c30, "");
SYMBOL_CRC(drm_dp_dpcd_poll_act_handled, 0xdb6b1ecc, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0xc57504f9, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x961ccac7, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0xebae498c, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0xecd61be8, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x0e36af50, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x20b2a0b5, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x731b6178, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0xb07f6a31, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0xb4c5f9e7, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xc8ffc5c9, "");
SYMBOL_CRC(drm_dp_aux_init, 0xa3d0340d, "");
SYMBOL_CRC(drm_dp_aux_register, 0x91fdf0cd, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xd58ab4b4, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xff318426, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xa1e6ef45, "");
SYMBOL_CRC(drm_dp_read_desc, 0x931e7f1f, "");
SYMBOL_CRC(drm_dp_dump_lttpr_desc, 0x54bb2e6d, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xcdb450f0, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0xbc821e12, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xc3283729, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xc3f2d4c9, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0x501de16d, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x7aa650cb, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0xf9ab0ad3, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x0684ca0c, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0xa6f6dd0e, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x2fc96c49, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x7a8e226a, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0xee008eb0, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x52e8ddae, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x5b869858, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x9de29f5f, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x9aadaa2d, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0xfaaaf66c, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x0a0648a7, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x34cf729c, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x137d6188, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x1c16c43a, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x2936da85, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x0cc2fedd, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0xaeb6a554, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x32787a14, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0x5d931d0d, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0xd1ac862e, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0xaadabdd1, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0xccd8e579, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x5d22b70f, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0xe7f34f41, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x5c32c61a, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x063ba14c, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0xb44087c9, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x11d09149, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x22d792f1, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0xe2db2d94, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x0229036b, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0xf75503bb, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0xa224e101, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xa59ae7ea, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x336cedf0, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0xcebde756, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0x6a3e1a0b, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x9b687c57, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x579d2481, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0xec35c5a1, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x47022939, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0xb915d73e, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x85168704, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x1c57fe29, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x0938807b, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x8cf42e08, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x0f7226f6, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x1747f61b, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x885b1931, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xbd3315b2, "");
SYMBOL_CRC(drm_dp_check_act_status, 0xff401124, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0xe4e1aed5, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x44fc3fb3, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xc2087192, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xfa2d1485, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0xac50babf, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x1b71aba5, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x3d7be7dc, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xc487cd6a, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x8a7c2e28, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x7658f771, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x69c9e3b6, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xec03b69f, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0x57e09360, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x4717ef02, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x2d8a0232, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0xb8376779, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x6a25d376, "");
SYMBOL_CRC(drm_connector_hdmi_audio_plugged_notify, 0x15a6f161, "");
SYMBOL_CRC(drm_connector_hdmi_audio_init, 0x3dfda4ca, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x1f7e3b81, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x18482e20, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0x5564c116, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x47bc3436, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x7f3fbad7, "");
SYMBOL_CRC(drm_scdc_read, 0x028551a0, "");
SYMBOL_CRC(drm_scdc_write, 0xbc9a1872, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x9f66eb2c, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x38edab9f, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x037403ea, "");
SYMBOL_CRC(__drm_atomic_helper_connector_hdmi_reset, 0xd299949b, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_check, 0xc0d3fee2, "");
SYMBOL_CRC(drm_hdmi_connector_mode_valid, 0xfac781e9, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_infoframes, 0xde087e24, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, 0x0daafbba, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, 0x64ca3d96, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_hotplug, 0x638ea1bb, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_force, 0xabee17c3, "");
SYMBOL_CRC(drm_dp_cec_irq, 0x0072fd3f, "");
SYMBOL_CRC(drm_dp_cec_attach, 0x087b7bac, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x4454856f, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x4048b7ad, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0xb433fcfc, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x7dbece49, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70b8f767, "drm_crtc_add_crc_entry" },
	{ 0xbde86ab4, "cec_delete_adapter" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x6ffa7e8, "cec_transmit_attempt_done_ts" },
	{ 0x8ff00108, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x1a9914d2, "devm_kmalloc" },
	{ 0x5c40f8e1, "drm_atomic_get_private_obj_state" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0x900acef1, "drm_bridge_hpd_enable" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0x33667964, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xa9a65ece, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x41b00027, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x667a9d28, "cec_s_conn_info" },
	{ 0x63a9b440, "of_graph_parse_endpoint" },
	{ 0x4829a47e, "memcpy" },
	{ 0x44fb9852, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xecf70bdb, "prepare_to_wait_event" },
	{ 0x70705a8f, "drm_connector_unregister" },
	{ 0xd170f48c, "__wake_up" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x69e9ab3b, "drm_mode_object_put" },
	{ 0xb0908140, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x982c0171, "request_firmware_direct" },
	{ 0x70fb7a40, "drm_edid_connector_update" },
	{ 0xaeeb70fa, "drm_bridge_hpd_disable" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x2e938bb6, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x994c7ebd, "drm_atomic_private_obj_fini" },
	{ 0x983ce2b6, "drm_atomic_helper_connector_destroy_state" },
	{ 0xa916b694, "strnlen" },
	{ 0xb731d1bc, "drm_bridge_edid_read" },
	{ 0x19ce01ee, "drm_property_create_enum" },
	{ 0xd63cb40, "drm_dev_printk" },
	{ 0xfa0052ee, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x48e0440d, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d26afc8, "drm_crtc_wait_one_vblank" },
	{ 0xf68a3c9, "drm_modeset_lock" },
	{ 0xb75b13cf, "drm_modeset_unlock" },
	{ 0x99b1bb58, "drm_panel_bridge_set_orientation" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x778a057e, "_dev_err" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x22545a62, "drm_edid_connector_add_modes" },
	{ 0x273dc9d6, "drm_hdmi_connector_get_output_format_name" },
	{ 0xdbb01500, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0x7e5edf01, "drm_edid_read" },
	{ 0x9b6781f, "seq_putc" },
	{ 0xbf7f746b, "drm_kms_helper_connector_hotplug_event" },
	{ 0xdf733aa0, "drm_crtc_commit_wait" },
	{ 0x4142ee45, "drm_connector_dynamic_register" },
	{ 0x4e1ca65a, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x7919a576, "drmm_connector_init" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7aa7981, "cec_unregister_adapter" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x78f31ab4, "drm_object_attach_property" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0xcf6de44d, "drm_atomic_get_old_private_obj_state" },
	{ 0x484904be, "__drm_dev_dbg" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0xdcb764ad, "memset" },
	{ 0x33082594, "_dev_warn" },
	{ 0x293170cd, "drmm_kmalloc" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xf39c06d9, "fwnode_handle_get" },
	{ 0x233b7711, "__init_waitqueue_head" },
	{ 0xd47c877a, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x9e90f904, "mutex_trylock" },
	{ 0xd26fca29, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe8914195, "cec_allocate_adapter" },
	{ 0x4c4739a1, "drm_object_property_set_value" },
	{ 0xfcad4708, "platform_device_register_full" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xaf94d487, "drm_kms_helper_hotplug_event" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x9235c19e, "drm_bridge_is_panel" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0x951ff74e, "drm_helper_probe_single_connector_modes" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0xd404bb55, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0xa1ee5414, "i2c_transfer" },
	{ 0x3ccb93b8, "drm_display_mode_from_cea_vic" },
	{ 0xbb708ee5, "seq_puts" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd7b52e17, "cec_fill_conn_info_from_drm" },
	{ 0x9a719b12, "drm_atomic_helper_connector_reset" },
	{ 0x88acce55, "drm_sysfs_connector_property_event" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0xb5b23642, "cec_received_msg_ts" },
	{ 0x813b27f, "drmm_connector_hdmi_init" },
	{ 0x7f86ff4a, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x595e164e, "param_ops_int" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0x40f6dce5, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0x2832324e, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x700b9b41, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x45b39e76, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper");


MODULE_INFO(srcversion, "00E7C8BABD8243322412550");
MODULE_INFO(rhelversion, "9.7");
