#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0x32b706f5, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x848c223c, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x7c60a552, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x3dc8065a, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0xc145b494, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0xd74b01ef, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0x65888b02, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0xfbc83a1e, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0xcf1e6a58, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0x1daf4bf8, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0xba1d3b97, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0xe852b445, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0x911eebcc, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0xb40c6982, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0xf8688a78, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x20d323aa, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0xdffc9dc3, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0x77d96eb2, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0xd94681a7, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0xd500832f, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0x6abddd77, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0xd1ae3327, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0xf7055e88, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c786817, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x4208673a, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x867a0fee, "__init_rwsem" },
	{ 0xf86859b5, "misc_deregister" },
	{ 0x158d5b41, "iommu_device_claim_dma_owner" },
	{ 0x29d0ed57, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb1719ee5, "iommu_group_get" },
	{ 0x23612065, "iommu_iova_to_phys" },
	{ 0xaedfe1c2, "pin_user_pages_remote" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0x33667964, "finish_wait" },
	{ 0x781367f1, "memfd_pin_folios" },
	{ 0xd3634532, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x31c6049c, "fget" },
	{ 0xcb169fd5, "__put_task_struct" },
	{ 0x517d1e2b, "__xas_next" },
	{ 0x64e83815, "xas_find" },
	{ 0xa368f6d6, "iommu_dev_disable_feature" },
	{ 0x74926c5d, "unpin_user_pages" },
	{ 0x5769d32c, "fd_install" },
	{ 0xabb1847e, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43758451, "unpin_user_page_range_dirty_lock" },
	{ 0x75240333, "__account_locked_vm" },
	{ 0xecf70bdb, "prepare_to_wait_event" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xd170f48c, "__wake_up" },
	{ 0x4ac136a5, "get_device" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc6638d2f, "unpin_folios" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0x729edf6b, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xfd10d7ef, "kthread_use_mm" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xd0b0e961, "iommu_detach_group_handle" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x58aa0065, "iommu_detach_group" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc49284cd, "put_device" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xed3162c5, "iommu_dev_enable_feature" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0xf06f8590, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x3b91bf77, "fput" },
	{ 0x4a7451f0, "down_write" },
	{ 0x73346967, "iommu_domain_free" },
	{ 0x63aa71ca, "up_write" },
	{ 0x63d6ee66, "iommu_get_msi_cookie" },
	{ 0x8aa96275, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3e909c0d, "iommu_unmap" },
	{ 0x314220de, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x5ddcdd1e, "xas_load" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x45bc8e79, "iommu_attach_handle_get" },
	{ 0x46a0f56f, "iommu_replace_group_handle" },
	{ 0x6d297ccb, "iommu_device_release_dma_owner" },
	{ 0x5bda5e34, "folio_add_pins" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x33082594, "_dev_warn" },
	{ 0x6ebdc735, "misc_register" },
	{ 0x2da6aeda, "unpin_user_page" },
	{ 0x143e95bf, "iommu_paging_domain_alloc_flags" },
	{ 0x233b7711, "__init_waitqueue_head" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0x60b1722a, "iommu_put_resv_regions" },
	{ 0xa3cbb4d4, "_iommufd_object_alloc" },
	{ 0x59e56115, "down_read" },
	{ 0xd62a4736, "__mmdrop" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0x328c32ed, "__xa_cmpxchg" },
	{ 0x29994c07, "nonseekable_open" },
	{ 0x1efc4220, "xa_erase" },
	{ 0xa2644e95, "__mmap_lock_do_trace_start_locking" },
	{ 0x919d86c1, "iommu_get_resv_regions" },
	{ 0x12003919, "pci_pri_supported" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x852ce8da, "mmput" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0xfb82e728, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf1dfcc22, "xa_destroy" },
	{ 0x2f9f6cf2, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0x97f0a02, "__mmap_lock_do_trace_released" },
	{ 0x753f325a, "xa_store" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb3e6baee, "set_page_dirty_lock" },
	{ 0xdc84a74d, "device_iommu_capable" },
	{ 0xdc570547, "xas_nomem" },
	{ 0x6586c29, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x43e64e8c, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x1149b6b5, "iommu_attach_group_handle" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0x2937f5a2, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x1a3cf8ce, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x5e0cc36c, "up_read" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x92b47734, "pci_bus_type" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A4DA0A524E72CDD5769EE0B");
MODULE_INFO(rhelversion, "9.7");
