#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mana_gd_send_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_wq_ring_doorbell, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_ring_cq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_dma_region, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_eq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_wq_cq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_queue, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_post_work_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_poll_cq, "", "NET_MANA");
KSYMTAB_FUNC(mana_uncfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_cfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_create_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_destroy_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_get_primary_netdev, "", "NET_MANA");

SYMBOL_CRC(mana_gd_send_request, 0x0aa3fcac, "");
SYMBOL_CRC(mana_gd_wq_ring_doorbell, 0xca280ca1, "");
SYMBOL_CRC(mana_gd_ring_cq, 0xde1f1a77, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0x85f6854b, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0x9816ebc6, "");
SYMBOL_CRC(mana_gd_create_mana_wq_cq, 0x26cf0a05, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0x3e6ee813, "");
SYMBOL_CRC(mana_gd_post_work_request, 0xbcb8b569, "");
SYMBOL_CRC(mana_gd_poll_cq, 0x916ee891, "");
SYMBOL_CRC(mana_uncfg_vport, 0x2eede33f, "");
SYMBOL_CRC(mana_cfg_vport, 0x590277bc, "");
SYMBOL_CRC(mana_create_wq_obj, 0x23d52d9a, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0x41ee778d, "");
SYMBOL_CRC(mana_get_primary_netdev, 0x5fcff254, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x6e2e236c, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x26fc89ec, "bpf_prog_put" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x281656c6, "pci_enable_device" },
	{ 0x90a9eb43, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x23d82e9a, "auxiliary_device_init" },
	{ 0x2cf9429, "pci_iomap" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x50630131, "pci_alloc_irq_vectors" },
	{ 0xa6070e01, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xecc059fb, "bpf_warn_invalid_xdp_action" },
	{ 0x9979bd85, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0xbcbc2058, "debugfs_create_u16" },
	{ 0x9611988a, "dma_unmap_page_attrs" },
	{ 0x3b7d2088, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3abb978, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2b026999, "page_pool_destroy" },
	{ 0xf4b3c097, "xdp_do_redirect" },
	{ 0x60a2c5b6, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7c8f5542, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x9b01eda7, "pci_irq_vector" },
	{ 0xb8928915, "__netif_napi_del" },
	{ 0x409f474c, "unregister_netdevice_queue" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb08ea2dc, "__dynamic_dev_dbg" },
	{ 0x5a22dd2c, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x1edd2b10, "netdev_err" },
	{ 0x55f177b3, "pskb_expand_head" },
	{ 0xb0908140, "dev_driver_string" },
	{ 0xd2579e48, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x4933d6c0, "eth_type_trans" },
	{ 0xbd88bd02, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x794c57bb, "napi_complete_done" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xed8fb6b7, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc49284cd, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x9fa1d4fa, "netif_device_detach" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xedfe5efb, "_dev_info" },
	{ 0xc7624b79, "napi_gro_receive" },
	{ 0x54818535, "netif_device_attach" },
	{ 0x59950294, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc1d202a4, "__skb_get_hash_net" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x778a057e, "_dev_err" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xac46fdee, "simple_open" },
	{ 0x68345510, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x599b8f7, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7bd9086b, "netif_set_real_num_tx_queues" },
	{ 0x67f8d899, "__auxiliary_device_add" },
	{ 0x3af94657, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0xf5b1a514, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0x19e9d6b6, "dma_alloc_attrs" },
	{ 0x49d76a51, "debugfs_remove" },
	{ 0x970d1c98, "pcie_flr" },
	{ 0x29e18b3a, "napi_enable" },
	{ 0xa0c404a0, "register_netdev" },
	{ 0x143ec08b, "ida_free" },
	{ 0x50fbd43f, "free_netdev" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x85f135ee, "ethtool_op_get_link" },
	{ 0xc3209d14, "pci_iounmap" },
	{ 0x49b7c34b, "netif_tx_wake_queue" },
	{ 0xc5ee23d1, "device_del" },
	{ 0xb8ced77c, "page_pool_create" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x33082594, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5f90e28c, "__alloc_pages" },
	{ 0x8ddfd4e2, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x7baeae20, "skb_dequeue_tail" },
	{ 0x4e4516c7, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0xe79042ae, "__bitmap_weight_andnot" },
	{ 0x7d65263e, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35120e00, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x64c2beb2, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0x6bfc91f6, "pci_release_regions" },
	{ 0xc25f2f8f, "bpf_prog_add" },
	{ 0x7e94e09f, "cpu_topology" },
	{ 0x8916bfe9, "xdp_rxq_info_unreg" },
	{ 0xd1d2c399, "page_pool_alloc_pages" },
	{ 0x255a7029, "napi_build_skb" },
	{ 0x3e0f7f5f, "netdev_master_upper_dev_get_rcu" },
	{ 0x8e84c685, "__folio_put" },
	{ 0xc79bd188, "__xdp_rxq_info_reg" },
	{ 0x2831d3bb, "xdp_set_features_flag" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb743da51, "netif_carrier_off" },
	{ 0x2e0d0141, "netif_carrier_on" },
	{ 0x7e9f2876, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x487ca6d, "pci_disable_device" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdd2f2425, "dma_set_mask" },
	{ 0x4ab1da1a, "netif_set_tso_max_size" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0xdc5840b8, "xdp_master_redirect" },
	{ 0xd1c0c71d, "__napi_schedule_irqoff" },
	{ 0x23c53f8b, "napi_schedule_prep" },
	{ 0x2e2026bb, "napi_consume_skb" },
	{ 0x7371b49b, "napi_disable" },
	{ 0xbed03d9c, "dev_kfree_skb_any_reason" },
	{ 0x229484cd, "netdev_stats_to_stats64" },
	{ 0x7e97fb6e, "debugfs_create_dir" },
	{ 0x7185000a, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0x849eef8e, "netdev_info" },
	{ 0x2d5426a1, "page_pool_put_unrefed_page" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "4B075517D539B97D8180CD3");
MODULE_INFO(rhelversion, "9.7");
