#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x9308607e, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x7ee8e2dc, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x2293550e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4e214f91, "rtnl_link_register" },
	{ 0x707f83b4, "genl_register_family" },
	{ 0x69d4faaf, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x47e1858b, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7a197161, "crypto_alloc_aead" },
	{ 0x2b14700c, "crypto_aead_setkey" },
	{ 0xa980e84f, "crypto_aead_setauthsize" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x3fc0a117, "skb_pull" },
	{ 0x17dae6c3, "___pskb_trim" },
	{ 0xc1860a7a, "ether_setup" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x95d7fa68, "dev_mc_sync" },
	{ 0xc977e912, "dev_uc_sync" },
	{ 0xa07eee8a, "dev_set_allmulti" },
	{ 0x8be1ec75, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xe7728173, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x27680da2, "__dev_get_by_index" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xdb9dfbe4, "skb_clone" },
	{ 0x354b0ffc, "__netif_rx" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3ea379a6, "register_netdevice" },
	{ 0x17c5e16d, "netdev_upper_dev_link" },
	{ 0x4e4dae8b, "netdev_upper_dev_unlink" },
	{ 0x409f474c, "unregister_netdevice_queue" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa075a707, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7dfa0377, "netif_stacked_transfer_operstate" },
	{ 0x7146e998, "linkwatch_fire_event" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0x9389d1b5, "netdev_rx_handler_register" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x86331673, "skb_copy_expand" },
	{ 0x9ccdd868, "consume_skb" },
	{ 0xd5422504, "skb_push" },
	{ 0x90a9eb43, "skb_put" },
	{ 0x71678d6, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x43e8a345, "skb_to_sgvec" },
	{ 0xdde1b7a5, "crypto_aead_encrypt" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf5629d05, "sk_skb_reason_drop" },
	{ 0x775a04b1, "skb_copy" },
	{ 0xf2c2ec3a, "skb_trim" },
	{ 0x5e8ab700, "dst_release" },
	{ 0x7ff8e820, "__dev_queue_xmit" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x66b1236f, "gro_cells_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xca886952, "crypto_aead_decrypt" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3a321f54, "netdev_rx_handler_unregister" },
	{ 0x857646b5, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xb743da51, "netif_carrier_off" },
	{ 0x51caa3fa, "dev_mc_unsync" },
	{ 0xa42ff8, "dev_uc_unsync" },
	{ 0x84c2db6, "dev_uc_del" },
	{ 0x1dfa80e, "dev_uc_add" },
	{ 0x2e0d0141, "netif_carrier_on" },
	{ 0x4933d6c0, "eth_type_trans" },
	{ 0xc791963a, "gro_cells_receive" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xea7d64d0, "genlmsg_put" },
	{ 0xbb0403be, "__pskb_pull_tail" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BEAB6ED3DFD77921345193F");
MODULE_INFO(rhelversion, "9.7");
