#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xf3fe232e, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x4f987d86, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x33962bb4, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xf9623163, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xf79d019c, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x934e7ed3, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xabbbbcd7, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x699d7eb1, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xb759d412, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xa50989ee, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x8bcfd662, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x9c4d244d, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xe6d73af0, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0xae6faa7b, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xc184325f, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xd1ab720a, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x5aeb0355, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x30dba652, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xc29b3201, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xc9cf7b72, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xf6b62378, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdefba08c, "mdiobus_write" },
	{ 0xb62b103f, "mdiobus_read" },
	{ 0x528f0624, "phy_write_mmd" },
	{ 0x5fb771d7, "phy_modify" },
	{ 0xe8371b68, "phy_trigger_machine" },
	{ 0x72e1b6f7, "phy_error" },
	{ 0x592e4f6e, "phy_modify_changed" },
	{ 0xf74583d, "genphy_update_link" },
	{ 0xe33621e8, "genphy_read_lpa" },
	{ 0x3985737, "phy_resolve_aneg_pause" },
	{ 0xfd7de1f6, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x778a057e, "_dev_err" },
	{ 0x87efc77b, "phy_read_mmd" },
	{ 0x4abd8812, "ethnl_cable_test_result_with_src" },
	{ 0xbcf8d361, "ethnl_cable_test_fault_length_with_src" },
	{ 0x4f2f0459, "phy_modify_mmd" },
	{ 0xe9823eda, "genphy_soft_reset" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.7");
