#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x4fb9c274, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x1907edbd, "_gpl");
SYMBOL_CRC(wwan_create_port, 0x9b48d27e, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0xfad7a603, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xa741dafb, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x82484e7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0x6a091f56, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x72d719a8, "__nlmsg_put" },
	{ 0x90a9eb43, "skb_put" },
	{ 0xa5e7f29e, "dev_set_name" },
	{ 0x9ccdd868, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3055212a, "device_unregister" },
	{ 0x9979bd85, "skb_dequeue" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0x33667964, "finish_wait" },
	{ 0x4e214f91, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x68899faf, "device_for_each_child" },
	{ 0xecf70bdb, "prepare_to_wait_event" },
	{ 0xd170f48c, "__wake_up" },
	{ 0x6a8b83f5, "rtnl_create_link" },
	{ 0x409f474c, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x1e763064, "skb_queue_purge_reason" },
	{ 0x775acae3, "alloc_netdev_mqs" },
	{ 0xbe321d0b, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc49284cd, "put_device" },
	{ 0x2f4f9be6, "__alloc_skb" },
	{ 0xedfe5efb, "_dev_info" },
	{ 0x59950294, "skb_queue_tail" },
	{ 0x80777a2b, "rtnl_configure_link" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x69d4faaf, "rtnl_link_unregister" },
	{ 0xb4b93b14, "init_net" },
	{ 0x3fc0a117, "skb_pull" },
	{ 0xf5629d05, "sk_skb_reason_drop" },
	{ 0x22c806b9, "noop_llseek" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0x49d76a51, "debugfs_remove" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x143ec08b, "ida_free" },
	{ 0x50fbd43f, "free_netdev" },
	{ 0x91a0deb2, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf73197f5, "class_dev_iter_init" },
	{ 0x19c56dbb, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x233b7711, "__init_waitqueue_head" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0x75dcb88c, "__register_chrdev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x58c1bd70, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0xbda312b4, "device_find_child_by_name" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7e97fb6e, "debugfs_create_dir" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0x5ebaf29b, "class_register" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0xcaf6fd29, "skb_queue_head" },
	{ 0xf8700b3d, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x3ea379a6, "register_netdevice" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3549841979CC29F5D1EEDEF");
MODULE_INFO(rhelversion, "9.7");
