#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xa77c7eae, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3fbaf567, "nvme_remove_admin_tag_set" },
	{ 0xe225c82b, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0xa6187d20, "nvme_uninit_ctrl" },
	{ 0xa495b039, "ida_destroy" },
	{ 0xdbec5bd2, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x895a173b, "nvmf_free_options" },
	{ 0xc1f2fac6, "nvmf_subsystem_reset" },
	{ 0x40c690de, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0x33667964, "finish_wait" },
	{ 0x3c2ae4a6, "nvme_stop_keep_alive" },
	{ 0xd2d145c6, "blk_mq_complete_request_remote" },
	{ 0x9611988a, "dma_unmap_page_attrs" },
	{ 0x766a2b0f, "nvme_setup_cmd" },
	{ 0x33acdb84, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x374e7b8a, "nvme_alloc_admin_tag_set" },
	{ 0x57c97f76, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xecf70bdb, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xd91a5945, "nvmf_reg_read32" },
	{ 0xd170f48c, "__wake_up" },
	{ 0xbc4b8024, "nvme_delete_ctrl" },
	{ 0x4ac136a5, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb0908140, "dev_driver_string" },
	{ 0x3db7ec9f, "nvmf_get_address" },
	{ 0xbd88bd02, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x138a08d6, "nvme_remove_io_tag_set" },
	{ 0x8bfaf59b, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x671184f2, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x4cb553b0, "nvmf_unregister_transport" },
	{ 0x2c8dc5d8, "blkcg_get_fc_appid" },
	{ 0xc49284cd, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xdf767095, "nvme_change_ctrl_state" },
	{ 0xedfe5efb, "_dev_info" },
	{ 0x4350b901, "nvme_init_ctrl" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xecafeee3, "nvme_alloc_io_tag_set" },
	{ 0x6134e741, "nvme_fail_nonready_command" },
	{ 0xa8b969d3, "kobject_uevent_env" },
	{ 0xb852dd9, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x778a057e, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x1261401a, "device_create" },
	{ 0xbf07be28, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xd14bcd6c, "__blk_rq_map_sg" },
	{ 0x143ec08b, "ida_free" },
	{ 0x7ebda11e, "nvmf_reg_read64" },
	{ 0x91a0deb2, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5f69efdb, "nvmf_connect_admin_queue" },
	{ 0x72ab899f, "nvme_enable_ctrl" },
	{ 0x4165c899, "nvme_unquiesce_admin_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0x33082594, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x233b7711, "__init_waitqueue_head" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ab0a7ff, "nvme_unquiesce_io_queues" },
	{ 0xf0973514, "blk_mq_update_nr_hw_queues" },
	{ 0x473867a1, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xdab739c9, "nvmf_should_reconnect" },
	{ 0xb9c01e3b, "__dma_sync_single_for_device" },
	{ 0x5638fb38, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2485dc74, "device_destroy" },
	{ 0x24c370d4, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x34df2eee, "nvmf_register_transport" },
	{ 0xa3030c37, "blk_mq_start_request" },
	{ 0x4936a598, "nvme_quiesce_io_queues" },
	{ 0x309d3eb3, "blk_mq_tagset_busy_iter" },
	{ 0x593d145c, "nvme_stop_ctrl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x51c8e6bf, "dma_unmap_sg_attrs" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0x5898b793, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xef7827ff, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x85d70753, "nvme_quiesce_admin_queue" },
	{ 0x5ebaf29b, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x193e4ef7, "__nvme_check_ready" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0xb5a10b15, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf2d0639, "nvme_add_ctrl" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "E9658AAA34FF88932A60A80");
MODULE_INFO(rhelversion, "9.7");
