#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0xb00515f7, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0xb4bf13d2, "_gpl");
SYMBOL_CRC(sas_free_task, 0xb8c781df, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xdba8f268, "");
SYMBOL_CRC(sas_resume_ha, 0x6846ef6c, "");
SYMBOL_CRC(sas_suspend_ha, 0xbc22ca1b, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x5d237774, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x8a7c1961, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x9c6c7f41, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xe573da6f, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x2afbd8e5, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x32d787c9, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xebd1160e, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x7b0ff9fd, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x0f012a6d, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x45a30873, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x49167b33, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x595f47cf, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x13743bdc, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xdfb63dc3, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x42136f63, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x090eb9dc, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x02b04ab7, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x95338045, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x706f84b6, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xe3a5d8ce, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x0e2da2d0, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x6beecc49, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x73143087, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xe62abfaf, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5742a35e, "ata_qc_complete" },
	{ 0xff351942, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5bb5c95b, "sas_rphy_remove" },
	{ 0x2f7b5c6e, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x89fb6aee, "ata_sas_port_destroy" },
	{ 0xebcf1c1a, "bsg_job_done" },
	{ 0x977e83bf, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xcc2a009c, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x613bdb0d, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0x33667964, "finish_wait" },
	{ 0xa3f85f62, "scsi_schedule_eh" },
	{ 0xa2d9f6b7, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x79b50e6a, "ata_host_init" },
	{ 0x23effb11, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x2064fc7a, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x5b2d25e, "sas_port_get_phy" },
	{ 0x14f529d2, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xecf70bdb, "prepare_to_wait_event" },
	{ 0xd170f48c, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x74c5f999, "kmem_cache_create" },
	{ 0x4ac136a5, "get_device" },
	{ 0x56111375, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x40a90194, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc49284cd, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x1a8de792, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xe4f0609a, "kmem_cache_alloc" },
	{ 0xedfe5efb, "_dev_info" },
	{ 0x8ec44351, "sas_phy_free" },
	{ 0x89ae7f65, "scsi_eh_finish_cmd" },
	{ 0xe69d4c12, "ata_sas_port_alloc" },
	{ 0x3d2b6d4a, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x222db60d, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0xacf5570d, "sas_port_mark_backlink" },
	{ 0x7cf11ce3, "kmem_cache_free" },
	{ 0x3ed2cc5e, "ata_std_qc_defer" },
	{ 0x2079e576, "ata_sas_port_start" },
	{ 0x4611f3f4, "ata_scsi_port_error_handler" },
	{ 0xec2e474f, "ata_change_queue_depth" },
	{ 0xd134e282, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x76b59f54, "sas_end_device_alloc" },
	{ 0x822eeed2, "mutex_lock_interruptible" },
	{ 0xf347c797, "sas_read_port_mode_page" },
	{ 0x26eeaac4, "sas_expander_alloc" },
	{ 0x78cdf22c, "ata_sas_port_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0x33082594, "_dev_warn" },
	{ 0xd9d1178b, "sas_rphy_delete" },
	{ 0x9ad5241a, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x4ebc4cce, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x233b7711, "__init_waitqueue_head" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0x59db3bdf, "scsi_host_busy" },
	{ 0x43d5f0ae, "ata_sas_async_probe" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0x547d6d97, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbbf57d79, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe79ad276, "ata_sas_port_suspend" },
	{ 0xb5aaf628, "sas_rphy_add" },
	{ 0x9d793085, "sas_port_delete_phy" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x1c2c7d95, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x67d157ad, "sas_port_add_phy" },
	{ 0x90702eec, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x52975a02, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc6c04130, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xc6b29e25, "ata_host_put" },
	{ 0xdb85853a, "sas_port_free" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0x5a5fc4e2, "ata_std_sched_eh" },
	{ 0xe56fc7ba, "scsi_block_requests" },
	{ 0x4658ed6, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0x4459ce16, "sas_remove_children" },
	{ 0x8c3dd428, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa8bed996, "ata_port_wait_eh" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0x18909e7a, "kmem_cache_destroy" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.7");
