#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(geni_se_get_qup_hw_version, "", "");
KSYMTAB_FUNC(geni_se_init, "", "");
KSYMTAB_FUNC(geni_se_select_mode, "", "");
KSYMTAB_FUNC(geni_se_config_packing, "", "");
KSYMTAB_FUNC(geni_se_resources_off, "", "");
KSYMTAB_FUNC(geni_se_resources_on, "", "");
KSYMTAB_FUNC(geni_se_clk_tbl_get, "", "");
KSYMTAB_FUNC(geni_se_clk_freq_match, "", "");
KSYMTAB_FUNC(geni_se_tx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_rx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_icc_get, "", "");
KSYMTAB_FUNC(geni_icc_set_bw, "", "");
KSYMTAB_FUNC(geni_icc_set_tag, "", "");
KSYMTAB_FUNC(geni_icc_enable, "", "");
KSYMTAB_FUNC(geni_icc_disable, "", "");

SYMBOL_CRC(geni_se_get_qup_hw_version, 0xc3f2bf37, "");
SYMBOL_CRC(geni_se_init, 0xaa6c0e39, "");
SYMBOL_CRC(geni_se_select_mode, 0x0e31e76b, "");
SYMBOL_CRC(geni_se_config_packing, 0xe8ce517c, "");
SYMBOL_CRC(geni_se_resources_off, 0xe67b92f1, "");
SYMBOL_CRC(geni_se_resources_on, 0xa323cc9d, "");
SYMBOL_CRC(geni_se_clk_tbl_get, 0x075a8aa8, "");
SYMBOL_CRC(geni_se_clk_freq_match, 0x2054ab28, "");
SYMBOL_CRC(geni_se_tx_init_dma, 0xe58941ad, "");
SYMBOL_CRC(geni_se_tx_dma_prep, 0xaa2cd95a, "");
SYMBOL_CRC(geni_se_rx_init_dma, 0xc437a2fa, "");
SYMBOL_CRC(geni_se_rx_dma_prep, 0x9206de48, "");
SYMBOL_CRC(geni_se_tx_dma_unprep, 0xd013a39e, "");
SYMBOL_CRC(geni_se_rx_dma_unprep, 0x1ceafa71, "");
SYMBOL_CRC(geni_icc_get, 0x174de096, "");
SYMBOL_CRC(geni_icc_set_bw, 0x666189fc, "");
SYMBOL_CRC(geni_icc_set_tag, 0x809fc69d, "");
SYMBOL_CRC(geni_icc_enable, 0xc1573220, "");
SYMBOL_CRC(geni_icc_disable, 0x82bc05be, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9611988a, "dma_unmap_page_attrs" },
	{ 0x6d46087a, "is_acpi_device_node" },
	{ 0x50c55a04, "devm_of_icc_get" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x778a057e, "_dev_err" },
	{ 0xcc903c21, "icc_set_bw" },
	{ 0xa2cc9be6, "icc_set_tag" },
	{ 0xe7721d9b, "icc_enable" },
	{ 0x9d53f21e, "icc_disable" },
	{ 0x626a5e74, "__platform_driver_register" },
	{ 0x1a9914d2, "devm_kmalloc" },
	{ 0x34c5f72, "devm_platform_ioremap_resource" },
	{ 0x5ba0b480, "devm_of_platform_populate" },
	{ 0xb08ea2dc, "__dynamic_dev_dbg" },
	{ 0xbae95a10, "device_get_match_data" },
	{ 0xc8a5b646, "of_count_phandle_with_args" },
	{ 0xf02b64f8, "devm_clk_bulk_get" },
	{ 0x83a21a8a, "platform_driver_unregister" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x9a6859c, "pinctrl_pm_select_default_state" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x61962ecd, "pinctrl_pm_select_sleep_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbd88bd02, "dma_map_page_attrs" },
	{ 0xb0908140, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,geni-se-qup");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-qupC*");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hub");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hubC*");

MODULE_INFO(srcversion, "6BEB0E519200071345C77E9");
MODULE_INFO(rhelversion, "9.7");
