#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x9d16b9f6, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x38c099f6, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x25e62a41, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xf896cd5a, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xc867e37d, "");
SYMBOL_CRC(fuse_abort_conn, 0xec838ad7, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0xbaeff398, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xb8cda0bb, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xe56fda08, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x8ab13961, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x472b2b9e, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xc2f95cd0, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x25bfc9d5, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xf22b89d2, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x26f7f128, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x2c8bb6ea, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x829cb16e, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xb2e318d8, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x3b8d6373, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xb7678538, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x2286ca2f, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0xd74a7f82, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x7a2a69ba, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x0dccd2a0, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x37c2c083, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x70b629c2, "");
SYMBOL_CRC(fuse_do_ioctl, 0xe8020abf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0681449, "super_setup_bdi_name" },
	{ 0xec8af63, "posix_test_lock" },
	{ 0x7629bbbe, "truncate_inode_pages" },
	{ 0x57b14dfe, "generic_copy_file_range" },
	{ 0xa66c30cc, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0x45d2e467, "pipe_lock" },
	{ 0xc5c2ce16, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x2dccd31d, "vfs_fsync_range" },
	{ 0x11609fc, "setattr_prepare" },
	{ 0x25480351, "clear_nlink" },
	{ 0xc22f059f, "file_check_and_advance_wb_err" },
	{ 0x3604e5c3, "d_alloc_parallel" },
	{ 0xe547dd9a, "flush_dcache_page" },
	{ 0x867a0fee, "__init_rwsem" },
	{ 0x7d6f792f, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xf86859b5, "misc_deregister" },
	{ 0x44efdcae, "make_vfsgid" },
	{ 0xf6bb36ed, "clear_inode" },
	{ 0xd543f6fc, "inode_to_bdi" },
	{ 0x2d28e9a4, "find_pid_ns" },
	{ 0xcf081329, "grab_cache_page_write_begin" },
	{ 0x6d22e257, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9193344c, "pipe_unlock" },
	{ 0x661de116, "fs_param_is_string" },
	{ 0xf1efbfaf, "folio_unlock" },
	{ 0xc88cee4f, "generic_file_splice_read" },
	{ 0xbe93d95a, "new_inode" },
	{ 0xa7691443, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xbabe822a, "dump_page" },
	{ 0x6b210cdd, "forget_all_cached_acls" },
	{ 0xa9fbce82, "init_special_inode" },
	{ 0x9d504ef, "unregister_filesystem" },
	{ 0x60d6af3f, "task_active_pid_ns" },
	{ 0xf75aae82, "iov_iter_single_seg_count" },
	{ 0x50811280, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0x33667964, "finish_wait" },
	{ 0x8db21f04, "d_alloc_name" },
	{ 0xe662668, "replace_page_cache_folio" },
	{ 0xc06763f3, "inode_query_iversion" },
	{ 0xbef69b2, "iov_iter_advance" },
	{ 0x64d70d07, "kill_fasync" },
	{ 0xdb52190a, "d_make_root" },
	{ 0xab010f9b, "sb_set_blocksize" },
	{ 0x31c6049c, "fget" },
	{ 0x564fc683, "simple_fill_super" },
	{ 0x64e83815, "xas_find" },
	{ 0x2a54f145, "invalidate_mapping_pages" },
	{ 0xc7567fee, "sync_filesystem" },
	{ 0x100aaf55, "sget_fc" },
	{ 0x92399ded, "param_set_uint" },
	{ 0xbc51fe6b, "d_splice_alias" },
	{ 0x7617d280, "iov_iter_get_pages2" },
	{ 0xff964646, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd9ebcb11, "page_get_link" },
	{ 0x289cf4b, "generic_permission" },
	{ 0x1044b3d7, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5527c14, "invalidate_inode_pages2_range" },
	{ 0x45ba9b9d, "posix_lock_file" },
	{ 0x9725653c, "finish_open" },
	{ 0x7d01cc90, "iput" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xfb8578fa, "logfc" },
	{ 0x3838b644, "iter_file_splice_write" },
	{ 0xecf70bdb, "prepare_to_wait_event" },
	{ 0xb200ef49, "init_pid_ns" },
	{ 0xa3e0e513, "iov_iter_init" },
	{ 0xc1a558e7, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x3482c330, "sysfs_create_mount_point" },
	{ 0x9c25c856, "generic_file_write_iter" },
	{ 0xd170f48c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb1104983, "register_filesystem" },
	{ 0x74c5f999, "kmem_cache_create" },
	{ 0x1859adcb, "folio_add_lru" },
	{ 0x188207ef, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x702d4b9f, "sync_inode_metadata" },
	{ 0x59f8c55c, "simple_empty" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc0265c51, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x5268d7d9, "shrink_dcache_parent" },
	{ 0xceb76203, "get_tree_nodev" },
	{ 0x2b4692a3, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x315e4f92, "fs_param_is_u32" },
	{ 0x863ea37e, "inode_newsize_ok" },
	{ 0xc23f93ed, "d_drop" },
	{ 0x4d0673b3, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x755ec5d0, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0xb1907bf4, "bdi_put" },
	{ 0xe660a51, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xfb0aaa44, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x9a3d36cf, "make_kuid" },
	{ 0xea8b8a0a, "truncate_inode_pages_final" },
	{ 0xcc2d4059, "fs_kobj" },
	{ 0xee766f19, "__filemap_set_wb_err" },
	{ 0xb9adbab1, "simple_dir_operations" },
	{ 0xa8abf6af, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xb0eef8a2, "__free_pages" },
	{ 0xe4f0609a, "kmem_cache_alloc" },
	{ 0x2c557f2f, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x925c210, "setattr_should_drop_suidgid" },
	{ 0x9c29a45, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfcad7d80, "copy_page_from_iter_atomic" },
	{ 0xf7e0dba1, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9e62238c, "inode_init_once" },
	{ 0xc44d6aa9, "file_write_and_wait_range" },
	{ 0x1e9f2306, "nosteal_pipe_buf_ops" },
	{ 0x4eec2cc5, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2348eee2, "inode_nohighmem" },
	{ 0xd174337f, "copy_highpage" },
	{ 0xb290f41b, "release_pages" },
	{ 0x905f8408, "generic_file_direct_write" },
	{ 0x3b91bf77, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x4a7451f0, "down_write" },
	{ 0x63aa71ca, "up_write" },
	{ 0xebf18f22, "generic_file_read_iter" },
	{ 0xbf4fe6d2, "inode_maybe_inc_iversion" },
	{ 0xff963515, "unlock_page" },
	{ 0xe9837133, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0x4d0a239d, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x68fc5c53, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0x67510ee7, "dec_node_page_state" },
	{ 0x2f9e6765, "write_cache_pages" },
	{ 0xd18c8a63, "file_update_time" },
	{ 0x3d874d83, "set_nlink" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0x7cf11ce3, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xa099ff4f, "from_kgid" },
	{ 0x5eea7ace, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xbc0777da, "file_remove_privs" },
	{ 0xa329534e, "write_inode_now" },
	{ 0x51854aa2, "d_obtain_alias" },
	{ 0xaba6fbf6, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2b295b68, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x86df0f7d, "finish_no_open" },
	{ 0x300441bf, "__folio_start_writeback" },
	{ 0x51220b57, "kill_litter_super" },
	{ 0x706a73c8, "folio_end_writeback" },
	{ 0xf385d509, "from_kuid" },
	{ 0x6777f3a6, "current_in_userns" },
	{ 0x59393461, "fc_mount" },
	{ 0xdcb764ad, "memset" },
	{ 0x410a859e, "sysfs_remove_mount_point" },
	{ 0x6ebdc735, "misc_register" },
	{ 0x5f90e28c, "__alloc_pages" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x233b7711, "__init_waitqueue_head" },
	{ 0x538febe, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x63feb59, "d_delete" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0xca2c0622, "from_kgid_munged" },
	{ 0xb790bc51, "end_page_writeback" },
	{ 0xf27f1c0a, "kobject_create_and_add" },
	{ 0x59e56115, "down_read" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0x58b54f26, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29994c07, "nonseekable_open" },
	{ 0xe0881786, "set_page_dirty" },
	{ 0x87c474ca, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x65ce0371, "redirty_page_for_writepage" },
	{ 0xe5c0b7e2, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x67bc1113, "generic_read_dir" },
	{ 0x28fca03d, "d_add" },
	{ 0x625af114, "set_page_writeback" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x3ffc4339, "init_user_ns" },
	{ 0x2151f81c, "d_find_alias" },
	{ 0x3b05f6b9, "invalidate_inode_pages2" },
	{ 0x68fbc485, "inc_nlink" },
	{ 0x8e84c685, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5951ea17, "get_tree_bdev" },
	{ 0x4cc9f1b6, "set_anon_super_fc" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0x6d062bd4, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x2539852b, "generic_delete_inode" },
	{ 0x44e11d3f, "deactivate_locked_super" },
	{ 0x34c049c7, "touch_atime" },
	{ 0xd47cd016, "__d_lookup_unhash_wake" },
	{ 0xb3e6baee, "set_page_dirty_lock" },
	{ 0x834724cc, "pid_nr_ns" },
	{ 0xc0815a44, "generic_file_open" },
	{ 0x7ac1abec, "truncate_inode_pages_range" },
	{ 0xf407a71d, "__put_user_ns" },
	{ 0xd4b099be, "__folio_lock" },
	{ 0x321e1f76, "filemap_dirty_folio" },
	{ 0x41d021d4, "pagecache_get_page" },
	{ 0xbb708ee5, "seq_puts" },
	{ 0x58c1bd70, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xe5f76555, "__wake_up_sync" },
	{ 0x275fe27a, "add_to_pipe" },
	{ 0xe7130d4, "__fs_parse" },
	{ 0xe3e2c583, "posix_acl_to_xattr" },
	{ 0x9291c75a, "dget_parent" },
	{ 0x47666ab8, "kill_anon_super" },
	{ 0xbcf957d9, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0x7e41a16a, "iget5_locked" },
	{ 0xacff9592, "security_dentry_init_security" },
	{ 0xfaba3092, "filemap_write_and_wait_range" },
	{ 0x2f075230, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xedacf9ec, "generic_write_checks" },
	{ 0x928ca805, "iov_iter_revert" },
	{ 0x829ebd61, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaf4e97b2, "mntget" },
	{ 0x409dfb7d, "kmem_cache_alloc_lru" },
	{ 0x6b80416b, "filemap_fault" },
	{ 0xdee672de, "d_invalidate" },
	{ 0xfabae404, "__mark_inode_dirty" },
	{ 0x705a02ca, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5e0cc36c, "up_read" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0x50d25b7c, "iov_iter_npages" },
	{ 0xefa2060b, "drop_nlink" },
	{ 0x2eacc0dd, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe13290ff, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0xbe421afc, "bdi_set_max_ratio" },
	{ 0x18909e7a, "kmem_cache_destroy" },
	{ 0xbd36de73, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7DBF81E138208D31B51FCD0");
MODULE_INFO(rhelversion, "9.7");
