#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_use_lock_sync_helper, "", "");
KSYMTAB_FUNC(snd_seq_client_ioctl_lock, "_gpl", "");
KSYMTAB_FUNC(snd_seq_client_ioctl_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_seq_set_queue_tempo, "", "");
KSYMTAB_FUNC(snd_seq_create_kernel_client, "", "");
KSYMTAB_FUNC(snd_seq_delete_kernel_client, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_enqueue, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_dispatch, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_ctl, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_write_poll, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_get, "_gpl", "");
KSYMTAB_FUNC(snd_seq_kernel_client_put, "_gpl", "");
KSYMTAB_FUNC(snd_seq_dump_var_event, "", "");
KSYMTAB_FUNC(snd_seq_expand_var_event, "", "");
KSYMTAB_FUNC(snd_seq_expand_var_event_at, "_gpl", "");
KSYMTAB_FUNC(snd_seq_system_broadcast, "_gpl", "");
KSYMTAB_FUNC(snd_seq_event_port_attach, "", "");
KSYMTAB_FUNC(snd_seq_event_port_detach, "", "");

SYMBOL_CRC(snd_use_lock_sync_helper, 0x3061c52d, "");
SYMBOL_CRC(snd_seq_client_ioctl_lock, 0xe50413d7, "_gpl");
SYMBOL_CRC(snd_seq_client_ioctl_unlock, 0xadb51cff, "_gpl");
SYMBOL_CRC(snd_seq_set_queue_tempo, 0x3c273904, "");
SYMBOL_CRC(snd_seq_create_kernel_client, 0x429589f5, "");
SYMBOL_CRC(snd_seq_delete_kernel_client, 0x6bb71038, "");
SYMBOL_CRC(snd_seq_kernel_client_enqueue, 0xf20a2c7b, "");
SYMBOL_CRC(snd_seq_kernel_client_dispatch, 0xef293698, "");
SYMBOL_CRC(snd_seq_kernel_client_ctl, 0x1a724fcc, "");
SYMBOL_CRC(snd_seq_kernel_client_write_poll, 0xdcdacdbb, "");
SYMBOL_CRC(snd_seq_kernel_client_get, 0xc303e513, "_gpl");
SYMBOL_CRC(snd_seq_kernel_client_put, 0x0723bfa1, "_gpl");
SYMBOL_CRC(snd_seq_dump_var_event, 0xadd4eb09, "");
SYMBOL_CRC(snd_seq_expand_var_event, 0x97ab156b, "");
SYMBOL_CRC(snd_seq_expand_var_event_at, 0xd0083438, "_gpl");
SYMBOL_CRC(snd_seq_system_broadcast, 0x468000cc, "_gpl");
SYMBOL_CRC(snd_seq_event_port_attach, 0x82c51c42, "");
SYMBOL_CRC(snd_seq_event_port_detach, 0x7b8699eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a1d2fa2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x867a0fee, "__init_rwsem" },
	{ 0xe2c61f08, "snd_info_register" },
	{ 0xb164077c, "snd_info_create_module_entry" },
	{ 0x370a0736, "snd_seq_autoload_init" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xa5e7f29e, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4a3ea5c0, "snd_request_card" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xc7d4b62b, "rt_mutex_base_init" },
	{ 0x94713da1, "param_array_ops" },
	{ 0x617eff73, "snd_info_free_entry" },
	{ 0x5d9ca116, "snd_seq_root" },
	{ 0xfa36030, "snd_timer_close" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe92b044e, "add_wait_queue" },
	{ 0xd170f48c, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x62b4557, "snd_timer_open" },
	{ 0x1000e51, "schedule" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc49284cd, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x531f1c93, "rt_write_unlock" },
	{ 0xd8e22756, "snd_timer_start" },
	{ 0x1f35836f, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4a7451f0, "down_write" },
	{ 0x63aa71ca, "up_write" },
	{ 0xa46dd8d0, "snd_timer_resolution" },
	{ 0x1b6189ee, "mutex_lock" },
	{ 0x7c0baa6f, "snd_timer_pause" },
	{ 0x5a921311, "strncmp" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x6dbec611, "snd_unregister_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe4535295, "snd_device_alloc" },
	{ 0x424227f3, "snd_timer_instance_new" },
	{ 0xdcb764ad, "memset" },
	{ 0x91def1c, "snd_seq_autoload_exit" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x233b7711, "__init_waitqueue_head" },
	{ 0x44d223c9, "snd_timer_instance_free" },
	{ 0xc851e347, "rt_spin_unlock" },
	{ 0x59e56115, "down_read" },
	{ 0x46e674ee, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7f7867fe, "rt_read_lock" },
	{ 0xc074469b, "mutex_unlock" },
	{ 0x19c4ca76, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0x6339b6d0, "snd_seq_device_load_drivers" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd7fa1678, "rt_write_lock" },
	{ 0x869eff76, "remove_wait_queue" },
	{ 0x58c1bd70, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9f3de34c, "pid_vnr" },
	{ 0x6ce55df8, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x595e164e, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5d56a7c1, "snd_register_device" },
	{ 0x5e0cc36c, "up_read" },
	{ 0x71ec16b6, "__mutex_rt_init" },
	{ 0xf0ec38c8, "put_pid" },
	{ 0x5c3c28b8, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe1dfdbb7, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-seq-device,snd-timer");


MODULE_INFO(srcversion, "47A5E0457B6E3932467B92A");
MODULE_INFO(rhelversion, "9.7");
